Audiovisuel Sortie de VLC Media Player 0.9.2

Posté par . Modéré par Mouns.
Tags :
45
16
sept.
2008
Audiovisuel
Après plus de deux ans de développement, la version 0.9.2 de VLC media player est disponible. L'annonce a été faite le 15 septembre dernier sur le site videolan.org et, un peu plus de 24 heures plus tard, le nombre de téléchargements approche rapidement des 700.000. Cela souligne la grande popularité de VLC media player en tant que lecteur multimédia multi-plates-formes.

VLC media player est un lecteur multimédia modulaire libre (licence GPL), acceptant un grand nombre de formats d'entrée et de sortie. Il peut aussi être utilisé comme serveur de diffusion unicast ou multicast en IPv4 ou IPv6. Il permet également d'appliquer des filtres audio et/ou vidéo. La branche 0.9 voit un changement majeur dans l’interface du logiciel, délaissant WxWidgets pour la bibliothèque graphique multi-plate-forme Qt (Merci de lire cette page avant de créer une polémique), avec son lot d'améliorations :
  • dialogues simplifiés
  • affichage de couverture d'album
  • édition des méta-données
  • activation en direct des filtres audio et vidéo
  • profils basiques de codage
  • modes variés de démarrage (classique, amélioré, dépouillé)
  • icône dans la barre des tâches et minimisation
  • contrôleur plein écran.

Outre l'ajout de cette nouvelle interface pour Linux, Unix et Windows, nous trouvons une bibliothèque de média et une liste de lecture améliorée, une prise en charge étendue des formats multimédia (grâce notamment à FFmpeg et un plus grand nombre de filtres.
La bibliothèque sous-jacente, libVLC, a aussi été remaniée et simplifiée. Des liens (bindings) vers moult langages de programmation ont été ajoutés.
Un système de mise à jour plus sûr a également été développé.

Nota bene : les versions 0.9.0 et 0.9.1 ne verront jamais le jour officiellement, des bogues bloquants ayant été découverts avant publication mais après étiquetage.
  • # Interface graphique

    Posté par (page perso) . Évalué à  9 .

    C'est un changement positif, ça faisait longtemps que l'interface de vlc avait besoin d'un rafraichissement.
    • [^] # Re: Interface graphique

      Posté par (page perso) . Évalué à  -5 .

      Et qu'on avait besoin d'un troll GTK+ contre Qt ?
      • [^] # Re: Interface graphique

        Posté par (page perso) . Évalué à  10 .

        Quel troll ? On ne peut plus mettre Qt et GTK+ en face, Qt4 englobe bien plus de technos que GTK+ et est bien bien plus adapté pour les applications multiplatformes.

        Chippeur, arrête de chipper !

        • [^] # Re: Interface graphique

          Posté par (page perso) . Évalué à  -10 .

          Et Qt met tellement de temps à se compiler que j'avoue être un peu déçu de VLC que je n'installerait plus sur mes machines Gentoo « anciennes ».
          • [^] # Re: Interface graphique

            Posté par (page perso) . Évalué à  8 .

            VLC doit se servir uniquement de QtCore et QtGui (pas beaucoup plus à mon avis).
            Ces deux modules se compilent assez vite.
            D'ailleurs dans le tarball de Qt, ce qui prend le plus de temps maintenant (et de loin) c'est Webkit et les demos/exemples. Et y'a moyen de les éviter.

            Chippeur, arrête de chipper !

    • [^] # Re: Interface graphique

      Posté par . Évalué à  5 .

      c'est clair, ça m'a même rafraichi mon ordinateur tournant avec Linux, qui a pris du galon : maintenant le site me propose direct de télécharger la version Mac OS X de VLC !

      En fait j'utilise le navigateur Midori, qui utilise Webkit, et c'est ce que devait regarder le site :)

      C'était mon message inutile de la journée...

      Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

    • [^] # Re: Interface graphique

      Posté par . Évalué à  -10 .

      Oui, et c'est l'évolution logique.

      VLC a une interface tellement anti-ergonomique qu'il devait finir par intégrer KDE, et la première étape est le passage par Qt.

      La prochaine, c'est le passage à Phonon et la création d'un kpart.

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

  • # Wall-E

    Posté par . Évalué à  6 .

    Ahem, dans la vidéo de présentation sur le wiki http://wiki.videolan.org/What_is_cool_in_0.9 le passage où es montré le film Wall-E piraté (vidéo wall-e.avi)... ahem... comment dire... ils cherchent les problèmes ?
    • [^] # Re: Wall-E

      Posté par (page perso) . Évalué à  3 .

      Ce film est-il sorti en DVD ? Parce que si c'est le cas, il peut bien avoir été acheté puis copié de façon privée, non ?
    • [^] # Re: Wall-E

      Posté par (page perso) . Évalué à  1 .

      Ce n'est pas un trailer ?
      • [^] # Re: Wall-E

        Posté par . Évalué à  8 .

        Un trailer de 1h37, ahem ^^
        • [^] # Re: Wall-E

          Posté par (page perso) . Évalué à  7 .

          Il a été acheté en streaming sur emule
          • [^] # Re: Wall-E

            Posté par (page perso) . Évalué à  1 .

            Surtout que c'est une capture ciné toute moisie. J'ai vu Wall-E dans un ciné "numérique" et c'est le pied ...

            De plus j'ai des doutes sur la légalité des autres vidéo / audio présente dans la vidéo (en particulier le manga ... )
            • [^] # Re: Wall-E

              Posté par . Évalué à  1 .

              De plus j'ai des doutes sur la légalité des autres vidéo / audio présente dans la vidéo (en particulier le manga ... )

              Le manga c'est Lelouch of the Rebellion R2 (très bon au fait) qui n'est pas officiellement licencié en France. (Donc c'est interdit quand même, mais moins)
              • [^] # Re: Wall-E

                Posté par (page perso) . Évalué à  5 .

                C'est pareil, le droit d'auteur s'applique de manière internationale. Les licences dont tu parles c'est juste des contrats entre des éditeurs et les auteurs.

                Toi, tu as aucun autre droit que ce que te concède par défaut le droit d'auteur, en l'occurence tu as le droit d'acheter des copies des DVDs si ils existent (en japonais donc, je doute que tu puisses importer du sous titré français). Si ça n'existe pas, tu n'as pas légalement le droit de voir ces œuvres.
                • [^] # Re: Wall-E

                  Posté par . Évalué à  4 .

                  et c'est pareil avec les films de cul, bande de petits salopards
                • [^] # Re: Wall-E

                  Posté par . Évalué à  3 .

                  Toi, tu as aucun autre droit que ce que te concède par défaut le droit d'auteur, en l'occurence tu as le droit d'acheter des copies des DVDs si ils existent (en japonais donc, je doute que tu puisses importer du sous titré français). Si ça n'existe pas, tu n'as pas légalement le droit de voir ces œuvres.

                  N'importe quoi !

                  Il a pu les enregistrer, il a pu les acheter au japon, en importation, il a pu se les faire offrir, il a pu les enregistrer quand ils passaient à la télé, etc...
                  Quant aux sous-titres, il les a peu-etre eu par un amis (dans ce cas c'est l'ami qui est dans l'illégalité), il les a peu-etre fait lui-même.

                  Quant au fait de les diffuser dans un mini trailer en guise d'illustration, ca s'appelle du droit de citation.

                  Il n'y a donc rien d'illégal ici à priori, et si c'était le cas ça ne serait pas vos oignons !
                  • [^] # Re: Wall-E

                    Posté par (page perso) . Évalué à  4 .

                    Tout cela fait beaucoup de peut être pour au final ne contre dire en rien mes propos, mais bon...


                    Au niveau du droit de citation en france on a : « Lorsque l'œuvre a été divulguée, l'auteur ne peut interdire : […] 3º Sous réserve que soient indiqués clairement le nom de l'auteur et la source : a) Les analyses et courtes citations justifiées par le caractère critique, polémique, pédagogique, scientifique ou d'information de l'œuvre à laquelle elles sont incorporées »

                    Je sais pas si tout cela est bien respecté vu que ci-dessus quelqu'un ne savait ce qu'était le titre du manga.

                    Mais bon, moi je dis ça, je m'en fou hein…
                • [^] # Re: Wall-E

                  Posté par . Évalué à  1 .

                  Si ça n'existe pas, tu n'as pas légalement le droit de voir ces œuvres.

                  Ah sisisi, chaque etre humain a le droit inalienable de se servir de ses yeux et oreilles.
                  Tu as legalement le droit de voir cette oeuvre.

                  La diffusion de l'oeuvre est elle par contre soumise au droit d'auteur.

                  C'etait juste pour souligner que l'idee communement admise qui dit que quand on achete un cd, on achete le droit d'ecouter l'oeuvre est totalement fausse.
                  On achete juste une galette en plastique avec de l'info dessus, ni plus ni moins.
                  • [^] # Re: Wall-E

                    Posté par (page perso) . Évalué à  2 .

                    Même avec des mesures techniques de privation ? Si j'achetais (hypothèse, jamais je ne le ferai) une chanson ainsi restreinte, ne serait-ce pas exactement ce que le vendeur essaierait de faire, de m'empêcher de l'écouter à l'aide de mon baladeur et de mon PC à la fois ?
                    • [^] # Re: Wall-E

                      Posté par . Évalué à  1 .

                      mesure de privation ou pas, tu as toujours le droit de l'ecouter.

                      Le contournement est peut etre illegal (ou pas), mais l'ecoute est parfaitement legale...
                      • [^] # Re: Wall-E

                        Posté par (page perso) . Évalué à  2 .

                        J'adore la cohérence de ce système stupide. Enfin, de toute façon ça ne me concerne pas, puisque je n'achète ni musique ni films (devinez pourquoi). :-)
  • # Un pas en avant pour les sous-titres

    Posté par (page perso) . Évalué à  8 .

    Ce que cette dépèche oublie (mais qui n'est qu'une fonction mineure j'en conviens) c'est la gestion des sous-titres pour les conteneurs le permettant.

    Jusqu'à cette version, l'affichage des sous-titres était très hasardeux pour les mkv par exemple, et il fallait paramètrer ça dans les options avancées (oui parce que dans les options simples, rien, que dalle.) Là les sous-titres sont apparus correctement du premier coup sur certains de mes mkv (pas tous, parfois je devais les selectionner encore manuellement) même si il y a encore des progrès à faire. Il arrive que les mkv embarquent des effets dans leurs sous-titres qui ne se reflètent pas dans VLC (deux mkv peuvent avoir des polices différentes par exemple, mais VLC ignore ces polices et utilise la sienne)

    L'amélioration de l'interface est aussi une excellente chose que beaucoup de gens, dont moi reprochaient à VLC.

    C'est vraiment un bon pas dans la bonne direction. Courage aux développeurs, la 1.0 n'est plus très loin (et la perfection aussi.)

    Pas encore eu le temps de beaucoup faire le tour de cette nouvelle version, mais ça va venir...
    • [^] # Re: Un pas en avant pour les sous-titres

      Posté par (page perso) . Évalué à  2 .

      En parlant de sous-titre, avec la version précédente, j'étais obligé de convertir mes sous titre en UTF-8 pour que VLC veuille bien m'afficher les phrases contenant des accents. (et donc faire un iconv -f ISO-8859-1 -t UTF-8 monfichier.srt -o monfichier_converti.srt)

      Est-ce que maintenant il est capable de convertir tout seul comme un grand ?
    • [^] # Re: Un pas en avant pour les sous-titres

      Posté par (page perso) . Évalué à  1 .

      J'espère que VLC gèrera enfin les sous-titres correctement, ça n'a jamais marché chez moi. (pas tous les sous-titres, et écrits en énorme si plein écran)

      heureusement totem gère les sous-titres comme un chef ^^
      • [^] # Re: Un pas en avant pour les sous-titres

        Posté par . Évalué à  2 .

        heureusement totem gère les sous-titres comme un chef ^^

        On ne peut pas resynchroniser les sous-titres manuellement, il détecte pas l'encoding automatiquement et il faut que le fichier des sous-titres ait le même nom que le fichier vidéo...
      • [^] # Re: Un pas en avant pour les sous-titres

        Posté par . Évalué à  2 .

        pas tous les sous-titres, et écrits en énorme si plein écran
        J'avais le même problème sous Ubuntu, et quand j'ai installé le driver nvidia, les sous titres s'affichaient correctement. On peut aussi corriger le problème en selectionnant un "video output module" different (options avancées).
    • [^] # Re: Un pas en avant pour les sous-titres

      Posté par . Évalué à  2 .

      Le fait que VLC ne gère pas correctement les sous-titres (en particulier le format SSA/ASS, avec placements, effets, couleurs, polices embarquées...) est la raison pour laquelle je ne l'utilise pas.
      MPlayer, lui, fonctionne parfaitement depuis un an ou quelque chose comme ça.
  • # Comment installer la 0.9.2 sur Ubuntu ?

    Posté par . Évalué à  1 .

    Le site de vlc annonce télécharger maintenant pour ubuntu mais finalement conseille d'installer le paquet 0.8.6.... Si je ne me trompe ?
    • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

      Posté par (page perso) . Évalué à  10 .

      Je crois que c'est une façon de dire que dans le monde Linux on ne télécharge pas des binaires sur des sites web mais on utilise simplement les dépôts de sa distro.
      • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

        Posté par . Évalué à  6 .

        [ahem]

        Et comme Ubuntu ne fait que repomper Debian Sid en rajoutant des bugs et des blobs propriétaires, et que sur :
        http://packages.debian.org/sid/vlc
        on voit qu'il est encore en version 0.8.6h, ça ne risque pas d'arriver dans Ubuntu très vite. À la prochaine resynchronisation des paquets sûrement.

        [/ahem]

        ­La faculté de citer est un substitut commode à l'intelligence -- Somerset Maugham

        • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

          Posté par (page perso) . Évalué à  3 .

          Mauvaise distribution : changer de distribution.

          Plus sérieusement, si tu veux avoir les logiciels dans leur dernière version, utilise une distribution qui les propose.
          • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

            Posté par (page perso) . Évalué à  1 .

            J'aime bien comme on se fait presque engueuler quand on a l'audace de demander comment installer un logiciel récent sur une distro, et qu'on dépend totalement du bon vouloir des mainteneurs (car tout le monde ne sait pas compiler).

            Sachant que ce genre de distro n'est en général pas une distro grand public - et qu'elle demande souvent de tout mettre à jour régulièrement, on se retrouve comme un idiot à expliquer à quelqu'un encore en Mandriva 2008, « ben non, désolé Papa, tu peux pas l'essayer »...

            Ou alors, tu apprends à compiler toi-même, avec toutes les dépendances qui vont bien, bien sûr...

            Comme quoi, c'est très facile d'installer des logiciels récents sur un Linux, hein ?
            • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

              Posté par . Évalué à  8 .

              bah on te répond et la réponse te plait pas. que veux-tu que je te dise ?

              c'est un peu comme s'entendre dire que dans la vie il faut des sous pour s'acheter à manger ou que pour faire des bébés, il faut un papa et une maman. deux papas, deux mamans ou un papa et une chèvre ça marche pas. oui, je comprends, ca peut énerver au début. c'est vraiment très sexiste, la sexualité.

              et quand à ce "on dépend totalement du bon vouloir des mainteneurs (car tout le monde ne sait pas compiler)", il m'amuse beaucoup. tu te rends compte que tu es aussi juste un tout petit peu dépendant du bon vouloir des gens qui font la distribution que tu installes et utilises, ou bien tu croyais que ça tombait du ciel ou que ça poussait sur les couvertures des magazines ?

              ah, et pour des troucs proprios (acrobat reader, player flash de chez adobe, jeux et autres drivers) tu dépends aussi du bon vouloir des éditeurs correspondants ! damned !
            • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

              Posté par (page perso) . Évalué à  3 .

              >et qu'on dépend totalement du bon vouloir des mainteneurs (car tout le monde ne sait pas compiler).

              et on depend aussi du bon vouloir des developpeurs (car tout le monde ne sait pas developper)
            • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

              Posté par (page perso) . Évalué à  3 .

              Si tu n'es pas content de la manière dont son distribués les logiciels sous linux, tu peux toujours faire un journal (avec une éventuelle nouvelle idée) :-)

      • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

        Posté par . Évalué à  3 .

        Exactement et malheureusement Ubuntu ne veut pas mettre la nouvelle version de VLC dans intrepid. Les dev de MOTU veulent mais les releases managers ne veulent pas...

        Vous pouvez suivre le "bug" ici : https://bugs.edge.launchpad.net/ubuntu/+source/vlc/+bug/2704(...)
    • [^] # Re: Comment installer la 0.9.2 sur Ubuntu ?

      Posté par . Évalué à  -2 .

      Intrepid sort dans un mois avec... vlc 1.0 !
  • # wiki down .. troll survives

    Posté par . Évalué à  10 .

    Quelqu'un peut me dire ce qu'il y avait sur la page gtk VS qt ? si il a gardé ça dans le cache de son navigo ?
    • [^] # Re: wiki down .. troll survives

      Posté par (page perso) . Évalué à  4 .

      En gros ils disaient qu'il n'y a pas de dépendances sur les libs KDE. Que l'interface graphique n'est qu'une skin (puisqu'on peut utiliser le player en console) et qu'il y a aussi une skin Qt ayant le look Gnome.
      • [^] # Re: wiki down .. troll survives

        Posté par (page perso) . Évalué à  0 .

        Je vois donc pas en quoi ça tue le troll.

        À moins que la lib QT soit compilée en statique dans VLC (ce qui serait un peu con pour les utilisateurs de QT). Ça veut donc dire qu'il faut avoir les lib QT 4 dispo pour utiliser VLC.
        Toutes les distro ne sont pas encore passées à QT 4 donc ça peut être un problème.

        En plus "un skin QT ayant le look de Gnome" ça veut rien dire. Au pire ça utilise QT-GTK qui permet de mettre un style GTK comme style QT mais sinon je ne vois pas bien comment ça va s'intégrer superbement partout. Et puis y'a pas que le style graphique, y'a aussi les dialogues d'ouverture/enregistrement qui changent fortement entre QT et GTK. Ou alors j'ai pas bien compris...

        Bah sinon le reste à l'air vraiment génial et l'interface à l'air tout de même vachement mieux qu'avant (utilisable même !).

        Sinon pour QT, bah j'ai déjà K3B que j'utilise sous mon XFCE parce que je le trouve vraiment bien. Si VLC media player 0.9.2 est aussi bien que ce que j'en lis, ça me fera que 2 applis sous QT :D
        • [^] # Re: wiki down .. troll survives

          Posté par (page perso) . Évalué à  6 .

          Toutes les distro ne sont pas encore passées à QT 4 donc ça peut être un problème.

          Ca fait 3 ans que Qt4 est sorti maintenant, j'imagine que la plupart des distro ont eu le temps de faire un paquet...

          En plus "un skin QT ayant le look de Gnome" ça veut rien dire. Au pire ça utilise QT-GTK qui permet de mettre un style GTK comme style QT mais sinon je ne vois pas bien comment ça va s'intégrer superbement partout. Et puis y'a pas que le style graphique, y'a aussi les dialogues d'ouverture/enregistrement qui changent fortement entre QT et GTK. Ou alors j'ai pas bien compris...

          C'est inclut nativement dans Qt maintenant. Une appli Qt au sein d'un environnement Gnome "mimique" l'aspect GTK.
          • [^] # Re: wiki down .. troll survives

            Posté par (page perso) . Évalué à  -5 .

            Au sein de mon environnement XFCE ou Openbox, ça fait quoi ? mon style GTK est-il utilisé ? J'en doute...
            • [^] # Re: wiki down .. troll survives

              Posté par . Évalué à  10 .

              Tu testes et tu nous dis !
            • [^] # Re: wiki down .. troll survives

              Posté par (page perso) . Évalué à  0 .

              Je pense.

              Les styles Gtk sont appliqués grâce à un daemon. Sous gnome, c'est gnome-settings-daemon (si tu le kill, les styles disparaissent). Sous Xfce, c'est xfce-mcs-manager (ou quelque chose du genre). Donc a mon avis, Qt doit détecter un tel daemon et appliquer dans ce cas le style Gtk.
              Enfin, je peux me tromper. En tout cas, avec mon GNOME ça marche très bien.
              • [^] # Re: wiki down .. troll survives

                Posté par (page perso) . Évalué à  3 .

                Il y a les démons de style, mais il y a aussi les fichiers .gtkrc* tu peux avoir un style gtk sans lancer de tels démons (c'est ce que je fais sous openbox ou awesome). Si Qt est suffisamment doué pour comprendre tous ces trucs là, je suis très impressionné, enfin le .gtkrc est surement plus facile à comprendre que les configs de qt que je cherche encore (je sais les modifier avec qtconfig4 et qtconfig3 cependant).
            • [^] # Re: wiki down .. troll survives

              Posté par . Évalué à  6 .

              Pour Qt 4.4, le style Cleanlooks ressemblant beaucoup au style gtk du même nom est disponible.
              Trolltech a développé un style Qt qui utilise gtk pour le rendu [http://linuxfr.org/~tanguy_k/26635.html], il est compilable avec Qt 4.4 et sera intégré dans Qt 4.5. Celui ci permettra une réelle intégration, comme gtk-qt le fait dans l'autre sens depuis quelque temps déjà.
              • [^] # Re: wiki down .. troll survives

                Posté par . Évalué à  5 .

                Juste pour lancer un troll bien velu. C'est rigolo comme c'est encore de Qt que vient la partie du code qui permet une integration des soft Qt dans Gtk comme ce fut le cas pour l'inverse. C'est fou comme Gnome n'a jamais rien fait pour qu'un peu de coherence visuelle existe dans les applis provenant des deux toolkits. Gtk a ete cree dans le seul but de contrer Qt/KDE et visiblement cet etat d'esprit est toujours present!
                • [^] # Re: wiki down .. troll survives

                  Posté par . Évalué à  4 .

                  Gtk a ete cree dans le seul but de contrer Qt/KDE et visiblement cet etat d'esprit est toujours present!

                  GNOME, éventuellement. Mais pas Gtk, qui est antérieur. Enfin il me semble.
                • [^] # Re: wiki down .. troll survives

                  Posté par . Évalué à  1 .

                  en même temps c'est clairement low priority. Et de toute façon la majorité des styles populaires ont une variante pour plusieurs toolkits.
                  • [^] # Re: wiki down .. troll survives

                    Posté par . Évalué à  6 .

                    Peut etre mais bon ca fait combien d'annee que cela aurait du exister surtout que les gnomistes/gtkiste sont toujours a se plaindre que les applis KDE/Qt "brisent" l'homogeinite de leur bureau. Il suffit de lire les quelques messages sur le sujet dans cette nouvelles et je dois avouer que ce genre de message m'enerve un chouilla car d'apres les gnomiste/gtkiste il ne faudrait surtout pas coder en KDE/Qt pour la seule raison que cela derange l'aspect esthetique de leur bureau (il faut dire que niveau technique tous le monde s'accorde a dire que c'est tout de meme du solide). Vu que les devs KDE/Qt eux ont fait en sorte que cela fonctionne de leur cote (que les applis Gtk aient l'air d'applis KDE/Qt) ils me semblent un peu sectaire.
                    • [^] # Re: wiki down .. troll survives

                      Posté par . Évalué à  1 .

                      oui, c'était amusant de voir des utilisateurs de Gnome chercher desespérement un remplaçant de k3b qui utilisait GTK à la place de Qt... juste parce que c'était moche !

                      deux claques, oui
                      • [^] # Re: wiki down .. troll survives

                        Posté par (page perso) . Évalué à  4 .

                        Bof, pour ce à quoi ça sert, un graveur… Pas besoin de K3B pour sauvegarder mon répertoire personnel.

                        Après, les fonctionnalités avancées, genre disque démarrable, multi-session et tout, franchement, je ne vois pas à qui ça peut servir à part à une infime fraction des utilisateurs.
                        • [^] # Re: wiki down .. troll survives

                          Posté par . Évalué à  4 .

                          l'infime fraction des utilisateurs te dit que ca lui fait bien plaisir que ces options soient la.

                          Ne pas présumer de ce que veulent faire les autres avec leurs matériel, tu risquerais d'être surpris.

                          Mais je confirme, pas besoin de k3b ... growisofs,cdrecord etc... suffisent.
                          Mais bon ca facilite quand même drolement la tache.
        • [^] # Re: wiki down .. troll survives

          Posté par (page perso) . Évalué à  3 .

          En même temps quand VLC utilisait GTK, les dialogues n'avaient rien de comparables avec ceux d'une application Gnome ou GTK classique. Donc sur ce point, pas grand chose de perdu.

          L'association LinuxFr ne saurait être tenue responsable des propos légalement repréhensibles ou faisant allusion à l'évêque de Rome, au chef de l'Église catholique romaine ou au chef temporel de l'État du Vatican et se trouvant dans ce commentaire

          • [^] # Re: wiki down .. troll survives

            Posté par . Évalué à  8 .

            Je croyais qu'il utilisait wxWidgets et pas GTK.
            • [^] # Re: wiki down .. troll survives

              Posté par (page perso) . Évalué à  4 .

              C'est simplement parce que sous nux wxWidgets utilise généralement Gtk+ comme sous couche. Dixit le site de wxWidgets, il peut aussi reposer sur X11 ou Motif.
              • [^] # Re: wiki down .. troll survives

                Posté par . Évalué à  2 .

                Oui, d'ailleurs je trouve ça "dommage" (pas au sens : "j'veux lacher un troll", mais plutôt : "j'suis déçu") que wxWidgets ne rencontre pas plus de succès.

                L'idée de base m'avait parue excellente : selon la plateforme, wxWidget est compilé pour utiliser nativement tel ou tel toolkit graphique. De mémoire il y avait une version Qt en chantier, ce qui me faisait espérer de voir un jour ce troll disparaitre : les devs d'un logiciel utilisent wxWidgets, et chez les utilisateurs on a toujours un rendu natif, quel que soit l'environnement...

                L'idée était-elle trop bonne ? Ou il y a des limitations de wxWidgets qui m'ont échappé ?
                • [^] # Re: wiki down .. troll survives

                  Posté par (page perso) . Évalué à  4 .

                  Ou il y a des limitations de wxWidgets qui m'ont échappé ?

                  C'est surtout qu'il y a pas mal de bugs, et que des choses que j'arrive à avoir "propre" sous Windows ne s'affichent pas correctement sous Linux. De plus, la version MacOS X n'utilise pas Cacoa, mais la "vieille" API, alors que ça fait un bail que Cacoa existe... Il n'y pas de moteur HTML correct, assez utile de nos jours...

                  Bref, la force de QT est d'avoir des sous (merci la double licence, ça aide), ce que WxWidgets n'a pas, et du coup moins de développeurs.

                  Du coup, j'hésite pas mal à passer à QT aussi (je suis curieux de voir la page de VLC à ce sujet d'ailleurs), la seule chose qui me fait tiquer chez QT est qu'il supporte moins de compilateurs (Borland etc...) et qu'il y a des "précompilation à faire). Ce n'est pas les forces de QT qui va me faire changer, mais les faiblesses de WxWidgets.
                  • [^] # Re: wiki down .. troll survives

                    Posté par (page perso) . Évalué à  6 .

                    L'autre force de Qt (et pas "QT" car Qt n'est pas un acronyme, un peu comme Lua) par rapport à wxWidgets en ce qui concerne le Gui (QtGui donc), c'est également de descendre suffisamment "bas" dans le rendu des widgets pour maîtriser totalement ce qu'ils veulent afficher. Ils ne sont donc pas dépendants de lib "haut niveau" comme par exemple GTK pour fonctionner sous X. Sous Windows, ils ne vont pas utiliser les MFC, mais l'API win32.
                    Tout leur système de "styles" est donc basé sur des primitives natives simples sur les différentes platformes et ça leur permet de pouvoir par exemple, afficher des applis avec un style Vista sous FreeBSD.
                    Et construire ce truc là (entre autre) tout en le "polishant", ça a été à mon sens demandeur de beaucoup de ressources et comme tu dis, le fait qu'ils aient des sous, ça a aidé.

                    Chippeur, arrête de chipper !

                  • [^] # Re: wiki down .. troll survives

                    Posté par (page perso) . Évalué à  9 .

                    en même temps, de ce que j'ai pu voir Qt est surtout beaucoup plus "propre" que wx
                    Le modèle objet de Qt est bien plus sympa que sous wx, où j'ai toujours eu une impression de ... brouillon...

                    Qt a surtout un modèl objet bien propre, une api très vaste (couvrant la majorité des besoins), a un rendu propre sur toutes les configs (surtout depuis qt4 et les nouveaux styles), qmake est facile à utiliser, il y a une bonne doc, etc.

                    En gros, que du bonheur ;)
                • [^] # Re: wiki down .. troll survives

                  Posté par . Évalué à  8 .

                  c'est aussi que avec wxWidget t'es jamais sur que sur la version mineure suivante ton soft va encore fonctionne. Enfin la discussion a eu lieu il y a pas tres longtemps dans un journal et toutes les personnes ayant utilise wxWidget pendant plus d'un version (majeur ou mineure) avaient eu la meme opinion. Sympa l'idee mais mise en oeuvre rate. A l'heure actuelle le seul toolkit reelement multiplateforme c'est Qt4.
                  • [^] # Re: wiki down .. troll survives

                    Posté par (page perso) . Évalué à  0 .

                    A l'heure actuelle le seul toolkit reelement multiplateforme c'est Qt4.

                    Ouh, celui-là m'a l'air bien velu. GIMP ne serait-il pas disponible sur plein de plate-formes ? Et lui ne risque pas d'utiliser Qt… :-)
                    • [^] # Re: wiki down .. troll survives

                      Posté par (page perso) . Évalué à  4 .

                      Une application Qt sous Mac OS X, c'est déja pas forcément le pied niveau intégration (ça dépend des applications quand même), mais alors ne parlons même pas des applications GTK.

                      Non clairement ne serais-ce que sur cette plateforme on ne peux pas dire que GTK soit multi-plateforme, si par multi-plateforme on s'attend à ce que qu'un application cherche à s'intégrer correctement au système hôte.
                      • [^] # Re: wiki down .. troll survives

                        Posté par (page perso) . Évalué à  2 .

                        Bon alors à ce jeu-là, GTK n'est pas multi-plateforme, parce qu'il s'intègre mal à KDE, et Qt ne l'est pas non plus parce qu'il s'intègre mal à GNOME et à Xfce.
                        • [^] # Re: wiki down .. troll survives

                          Posté par . Évalué à  7 .

                          Rien à voir. GTK sur Mac, ça veut dire X11. C'est pas une question de mauvaise intégration, c'est juste à la limite de l'émulation. Comme si on pouvait prétendre qu'un logiciel Unix est porté sous Windows sous prétexte qu'il tourne avec XMing. Faut pas décorner non plus. Déjà qu'un Mac de base n'a pas X11 d'installé (OK, pour un geek, ça prend pas long, mais quand même), mais en plus la gestion de fenêtre est parfois complètement différente. Ca donne vraiment l'impression d'avoir l'application en déporté.

                          Ceci dit, Avidemux a manifestement réussi à fonctionner avec la version native de GTK sur Mac. C'est peut-être le début de la fin du troll sur GTK+OSX. Mais pour le moment, ça dépanne plus qu'autre chose.
                        • [^] # Re: wiki down .. troll survives

                          Posté par (page perso) . Évalué à  1 .

                          Raté.
                          Une application Qt est sensé relativement bien s'intégrer dans GNOME et dans Xfce.
                    • [^] # Re: wiki down .. troll survives

                      Posté par (page perso) . Évalué à  3 .

                      Tu veux parler de multi-plate-forme où un Wndowsien se retrouve avec une boite d'ouverture de fichier complètement anti-ergonomique pour lui, car ça n'a rien à voir avec l'ergonomie à laquelle il est habitué?

                      GIMP est certes techniquement multi-plate-formes, mais en pratique il est Linux, linux et Linux au niveau ergonomie. Il tourne sous Windows certes, mais il ne fait que tourner, il n'est pas adapté à cet OS.

                      GTK n'est pas une solution viable pour un logiciel multi-OS voulant coller aux habitudes de l'utilisateur.
                      • [^] # Re: wiki down .. troll survives

                        Posté par (page perso) . Évalué à  7 .

                        > en pratique il est Linux, linux et Linux au niveau ergonomie.

                        Il est gtk plus que linux, parce que sous netBSD commme sous linux, il se comportera comme les autres programmes uniquement s'il est entouré de programmes gtk...

                        > GTK n'est pas une solution viable pour un logiciel multi-OS voulant coller aux habitudes de l'utilisateur.

                        Si tu veux coller aux habitudes de l'utilisateur sous tous les os, tu ne peux pas utiliser un toolkit. Il va falloir utiliser le toolkit windows sous windows, il faut utiliser cocoa sous osx, il faut utiliser qt si ton utilisateur utilise kde, gtk si ton utilisateur préfère gnome ou xfce, motif s'il préfère cde...
                        • [^] # Re: wiki down .. troll survives

                          Posté par (page perso) . Évalué à  2 .

                          Parfaitement d'accord. Un vrai logiciel sous UNIX utilise le mode FollowMouse et les trois souris de la souris. C'est pas portable tel quel sous Mac ou Windows...

                          Bilan : on a de plus en plus de logiciel sous UNIX qui nous oblige a utiliser des applications comme sous Windows et ou il faut cliquer pour activer la fenêtre?
                          • [^] # Re: wiki down .. troll survives

                            Posté par (page perso) . Évalué à  5 .

                            Alors ça, c'est une caractéristique du gestionnaire de fenêtres, autant que je sache, donc pas le problème des applications.

                            Quoique sous Windows, il me semble que les logiciels doivent plus ou moins gérer eux-mêmes leurs fenêtres. \o/
                            • [^] # Re: wiki down .. troll survives

                              Posté par (page perso) . Évalué à  3 .

                              À l'origine, les vielles applications X11 avaient le « focus suit la souris » pour chacun de leurs widgets.
                              Càd qu'il fallait mettre la souris au dessus de chacun des champ d'édition pour écrire.
                            • [^] # Re: wiki down .. troll survives

                              Posté par (page perso) . Évalué à  8 .

                              > Alors ça, c'est une caractéristique du gestionnaire de fenêtres,
                              > autant que je sache, donc pas le problème des applications.

                              Oui, mais tu ne fait pas forcément le design de ton application de la même manière. Pour prendre l'exemple de la souris qui est plus facile, tu ne conçois pas ton interface graphique sous MacOSX comme sous UNIX. Ce serait idiot de ne pas profiter des trois boutons sous UNIX.

                              En parlant de cela, il y a plein de gens nouveaux sous UNIX qui n'utilise que l'interface graphique qui ne savent pas que le copier coller se fait entièrement à la souris sans toucher une seule touche du clavier. Non mais, pas de Pomme-C, Pomme-V, c'est incroyable ;-)

                              Idem pour le Follow mouse, je veux pouvoir tapper du texte dans une fenêtre sans avoir a cliquer dessus avant pour l'activé. Si tu regardes, Gimp et Dia sont conçus pour ce mode de fonctionnement sinon, c'est très chiant. C'est donc très difficile d'avoir une IHM à la Gimp sous Windows qui ne soit pas inssuportable.

                              D'un autre coté, on voit de plus en plus d'applications sous Linux avec pleins d'onglets, le tout intégré dans une fenêtre alors qu'on pourrait exploser tout cela en multi fenêtre et les placer ou l'on veut.

                              Cela me rappelle le développeur de nedit qui ne voulait pas entendre parler d'onglet dans son éditeur car il trouvait que c'était une fonctionnalité à la charge du gestionnaire de fenêtre (comme dwm sais le faire et tout ses descendants). Il n'avait pas tord à mon sens mais bon, on a surtout mis les efforts pour avoir un environnement proche de celui des autres OS.

                              Quand je vois le blabla sur le développement d'IE8 et de Google Chrome avec un thread par onglet, je me dis qu'on ai loin d'UNIX. Normalement, on ne devrait pas avoir à faire cette usine à gaz dans le code, on devrait lancer n fois mozilla (pardon firefox) et que que cela se mette tout seul en onglet. C'est au noyau de gérer le coopération entre les différents navigateurs. Je les vois venir avec une gestion des priorités inter-onglet dans l'application !

                              Mais bon, mozilla et ses frères n'aiment pas qu'on les lance deux fois (envore un truc mal conçu) et nous font chier avec une gestion multi-profile qui servait certes sous Windows 98 mais dont je n'ai jamais vu l'intérêt sous un OS multi-utilisateurs.

                              Pour finir, une question. Je pense m'acheter bientôt un netbook sous Linux. Pourquoi vende-t-il des netbook qui n'ont que deux boutons autour du touchpad ? Comment faites-vous ? J'avoue que cela m'enerve de ne pas avoir le bouton du milieu sous UNIX lorsque je suis sous X11. Je dois être manchot mais appuyer sur les deux boutons à la fois ne marche jamais avec mes gros doigts sur des copier coller de code un peu sensible.
                              • [^] # Re: wiki down .. troll survives

                                Posté par (page perso) . Évalué à  4 .

                                Idem pour le Follow mouse, je veux pouvoir tapper du texte dans une fenêtre sans avoir a cliquer dessus avant pour l'activé. Si tu regardes, Gimp et Dia sont conçus pour ce mode de fonctionnement sinon, c'est très chiant. C'est donc très difficile d'avoir une IHM à la Gimp sous Windows qui ne soit pas inssuportable.

                                Pour moi, c'est plutôt avec le focus par pointage que GIMP est insupportable. On veut ajouter changer un calque d'une image, et en passant, on en survole un autre et on se trompe.

                                D'un autre coté, on voit de plus en plus d'applications sous Linux avec pleins d'onglets, le tout intégré dans une fenêtre alors qu'on pourrait exploser tout cela en multi fenêtre et les placer ou l'on veut.

                                Là, ça devient franchement exigeant pour le gestionnaire de fenêtres. En gros, ça implique Ion, quoi. Dommage que son développeur soit passé du côté obscur.

                                Perso, je suis sous wmii, et je suis beaucoup plus à l'aise quand je n'ai pas plus de cinq fenêtres par vue, donc les onglets, ça me va.

                                Mais bon, mozilla et ses frères n'aiment pas qu'on les lance deux fois (envore un truc mal conçu) et nous font chier avec une gestion multi-profile qui servait certes sous Windows 98 mais dont je n'ai jamais vu l'intérêt sous un OS multi-utilisateurs.

                                +1 pour les deux points. En plus, réutiliser en arrière-plan un programme déjà lancé, c'est super pénible pour les logiciels comme les courielleurs qui veulent déléguer l'ouverture d'un fichier : comment faire pour savoir si le logiciel utilisé pour ouvrir tel attachement a été fermé, et si on peut effacer le fichier temporaire ?

                                Pour finir, une question. Je pense m'acheter bientôt un netbook sous Linux. Pourquoi vende-t-il des netbook qui n'ont que deux boutons autour du touchpad ?

                                Parce que le bouton du milieu ne sert que sous X11 et n'a aucun intérêt ailleurs, et que pas mal de fabriquant ont pris l'habitude détestable de ne pas le mettre sur leurs machines, j'imagine.
                                • [^] # Re: wiki down .. troll survives

                                  Posté par (page perso) . Évalué à  0 .

                                  > Perso, je suis sous wmii

                                  Tiens, moi aussi ;-)
                                  • [^] # Re: wiki down .. troll survives

                                    Posté par (page perso) . Évalué à  2 .

                                    Oui, et bien voilà, ça n'ongle pas, ça empile. Dix fenêtres d'Iceweasel, et je n'ai plus que la moitié de la place sur mon écran.
                                    • [^] # Re: wiki down .. troll survives

                                      Posté par (page perso) . Évalué à  2 .

                                      Alt-S et on ne perds pas de place sur l'écran.

                                      Ensuite, wmii est conçu pour les logiciels en ce jour... Il est clair que si les onglets était géré par les gestionaires de fenêtre, wmii aurait une autre politique combinant empilage et mise en onglet des fenêtres comme dwm (et ion3).
                                    • [^] # Re: wiki down .. troll survives

                                      Posté par . Évalué à  3 .

                                      en même temps, depuis l'avènement des onglets, il faut commencer à le faire exprès pour avoir plus de 3 ou 4 fenètres Firefox/Iceweasel ouvertes et espérer encore y voir quelque chose
                                      • [^] # Re: wiki down .. troll survives

                                        Posté par (page perso) . Évalué à  3 .

                                        J'aimerais bien aller sur le même site mais avec deux identités différentes. C'est très pratique lors de la mise au point ou sur certain 'workflow'. Aujourd'hui, je suis obligé de lancer galeon en // de firefox pour faire cela.

                                        Sinon, avec wmii, j'ai facilement 50 fenêtres d'ouverte sur mes deux écrans et j'y vois très bien. Je ne suis pas intéressé par les environnement 'à la Windows' qui cherche à que tu n'ai pas plus de trois à quatre applications qui fonctionnent en même temps.
                                        • [^] # Re: wiki down .. troll survives

                                          Posté par (page perso) . Évalué à  2 .

                                          50 fenêtres, quand même, il ne faut pas exagérer. Ou alors tu dédies un écran pour empiler 43 fenêtres. :-)
                                          • [^] # Re: wiki down .. troll survives

                                            Posté par (page perso) . Évalué à  2 .

                                            Rien qu'avec clusterssh, j'ouvre plus de 50 fenêtres d'un coup pour mettre à jour mon parc... Mais là, je prends un bureau virtuel rien que pour cela.

                                            Sinon, avec deux écrans coupés en trois colonnes, cela ne fait que 16 fenêtres par colonnes. Je suis sur que je suis souvent dans cette limite là. On prends vite l'habitude d'un Alt-M puis d'un Alt-S pour changer de fenêtre dans la colonne.

                                            C'est sur, lorsque les utilisateurs viennent me demander du support en direct, mon bureau leur fait un peu peur ;-)
                              • [^] # Re: wiki down .. troll survives

                                Posté par (page perso) . Évalué à  4 .

                                Pourquoi vende-t-il des netbook qui n'ont que deux boutons autour du touchpad ? Comment faites-vous ?

                                ah bah ça, je "clique" de deux doigts sur le touchpad et ça simule le clic de la molette (ou bouton du milieu). Merci au pilote Synaptics sous Xorg pour cela :)
                                • [^] # Re: wiki down .. troll survives

                                  Posté par (page perso) . Évalué à  2 .

                                  Ça, c'est sûr, les homologues du pilote Synaptics sous d'autres systèmes graphiques ne lui arrivent pas à la cheville. Défilement à deux doigts, défilement circulaire…
                                  • [^] # Re: wiki down .. troll survives

                                    Posté par . Évalué à  2 .

                                    t'oublies drag'n'drop, click gauche (pas nouveau ceux deux la), click droit, (bon pas tout a fait click droit), precedent, suivant, zoom...

                                    Enfin des touchpad reellement utilisable, et plus besoin du pti clito dans le clavier...
                    • [^] # Re: wiki down .. troll survives

                      Posté par . Évalué à  5 .

                      Euh alors la pour te repondre je met juste un tout petit lien:

                      http://www.gtk.org/download-macos.html

                      Je pense que c'est clair non?

                      Et donc je redis bien que a l'heure actuelle le seul toolkit multiplateforme c'est Qt4.
                      • [^] # Re: wiki down .. troll survives

                        Posté par . Évalué à  1 .

                        Que ceux ou celui qui a moinse ce message (de tel sorte a le rendre non visible si pas -42) m'explique sa logique? Je donne un lien provenant du site GTK+ lui meme qui dit clairement que la version OSX n'existe pas encore et donc par consequence prouve mes dire sur le fait que seul Qt4 est multiplateforme. Enfin au moins cela m'aura force a expliciter ce qu'il y avait dans le lien fournit...
                      • [^] # Re: wiki down .. troll survives

                        Posté par (page perso) . Évalué à  -4 .

                        C'est de la mauvaise foi ou je ne m'y connais pas.

                        wxvlc, c'était du poulet ?

                        http://www.abisource.com/screenshots/abi-macosx.jpg et ça, c'est une illusion d'optique ?

                        Et pour le plaisir http://img.genbeta.com/2008/01/kde4-win1.jpg oh, c'est fou les barres de défilement ressemble à du windows. Par contre, la barre d'icône, le panel, ce n'est pas encore ça.
                        • [^] # Re: wiki down .. troll survives

                          Posté par . Évalué à  2 .

                          Ah ok je vois donc un truc qui est pas fini et considere comme non diffusable et non stable par ses propres devs doit etre considere comme multiplateforme parceque des versions de devs sont utilise pour un portage d'une des applis utilisant la lib en question?

                          Je suis d'accord que ce n'est pas du vaporware parceque il existe des versions de devs utilisables et disponibles mais bon la version GTK+ native pour MacOS ca doit bien faire 2 ans minimum qu'elle est promise!

                          Apres il se peut aussi que les devs de GTK+ soient trop faignant ou soit trop occupes pour changer la page et donc qu'une version stable de GTK+ pour MacOSX existe mais bon si c'est le cas je vois pas trop comment on peut m'en vouloir de faire confiance a leur propre site!

                          Par rapport a ton image je repondrais simplement avec une tire du sujet de la news:

                          http://download2.videolan.org/vlc/screenshots/0.9.2/osx-0.9.(...)

                          et cette version la ne date pas de 9 mois...
                          • [^] # Re: wiki down .. troll survives

                            Posté par (page perso) . Évalué à  3 .

                            http://www.fr.videolan.org/vlc/screenshots/20040531-osx-1.jp(...)

                            Mais, il y a 4 ans, vlc ressemblait autant que maintenant à une application osx et n'utilisait pas qt4 (qui n'existait pas). Donc non, qt4 n'est pas l'unique tk multiplateforme.

                            > Ah ok je vois donc un truc qui est pas fini et considere comme non diffusable et non stable par ses propres devs doit etre considere comme multiplateforme parceque des versions de devs sont utilise pour un portage d'une des applis utilisant la lib en question?

                            C'est de la mauvaise foi parce que cette page ne dit pas que gtk ne tourne pas sous osx, elle dit qu'une version native est en développement. GTK tourne sous osx depuis des années, mais uniquement sous X, la version quartz est en développement c'est vrai et n'est pas prête, mais ça n'empêche pas gtk d'être multi-plateforme (et moche). Par exemple http://filmgimp.sourceforge.net/mac/MacFilmGimp.1440x900.png
                            • [^] # Re: wiki down .. troll survives

                              Posté par . Évalué à  3 .

                              Mais, il y a 4 ans, vlc ressemblait autant que maintenant à une application osx et n'utilisait pas qt4 (qui n'existait pas). Donc non, qt4 n'est pas l'unique tk multiplateforme.

                              On ne parle pas d'applications mais de toolkits. Prouver l'existence d'un toolkit multiplateforme en exhibant un exemple d'application multiplateforme, c'est incorrect. Les développeurs de l'application ont tout à fait pu faire un backend distinct pour chaque plateforme visée.
                              • [^] # Re: wiki down .. troll survives

                                Posté par (page perso) . Évalué à  3 .

                                Ils ont très bien pu. Mais wxwidgets est un toolkit multiplateforme et c'est effectivement lui qui est utilisé, au moins pour la fenêtres d'options.
                            • [^] # Re: wiki down .. troll survives

                              Posté par . Évalué à  4 .

                              Mais, il y a 4 ans, vlc ressemblait autant que maintenant à une application osx et n'utilisait pas qt4 (qui n'existait pas). Donc non, qt4 n'est pas l'unique tk multiplateforme.

                              C'est normal qu'il y a 4 ans VLC sous OsX ressemblait à une application OsX , l interface utilisée par VLC sous macosX ( et sous BeOS ) utilise le toolkit natif a l'OS , y a que sous windows et unix que l interface utilisée est wxwidget , donc on est pas vraiment dans le sujet de toolkit multiplateforme là....
                            • [^] # Re: wiki down .. troll survives

                              Posté par . Évalué à  2 .

                              donc d'apres ton raisonnement gtk1, gtk2, motif, qt[n] sont tous des toolkits multiplateforme car ils tournent sous X present sur Unix, Windows et Mac (et cela depuis au moins 15ans)...
                        • [^] # Re: wiki down .. troll survives

                          Posté par (page perso) . Évalué à  8 .

                          Et pour le plaisir http://img.genbeta.com/2008/01/kde4-win1.jpg oh, c'est fou les barres de défilement ressemble à du windows. Par contre, la barre d'icône, le panel, ce n'est pas encore ça.

                          Ne pas confondre KDE et Qt

                          Une application multiplatforme codée avec Qt est supposée s'intégré du mieux possible sous toutes les platformes.

                          Une application KDE est suposé faire partie d'un desktop unifié avec ses règles d'IHM particulière, et son intégration poussée.
                          Le fait que les applications KDE soient portées sous Windows ne veut pas dire qu'elles seront bien intégréees à Windows (bien que ce soit facile à faire du fait que KDE repose sur Qt)
                        • [^] # Re: wiki down .. troll survives

                          Posté par . Évalué à  1 .

                          Compare
                          http://www.abisource.com/screenshots/abi-macosx.jpg
                          avec
                          http://aqua.scribus.net/scribus-aqua-132.png

                          Je ne vois pas ce que Qt pourrait envier à Gtk.
                          • [^] # Re: wiki down .. troll survives

                            Posté par (page perso) . Évalué à  9 .

                            Abiword n'utilise PAS GTK+ sous MacOSX et sous Windows !

                            cf http://www.redhatmagazine.com/2008/05/08/abiword-team-interv(...)
                            We use the native toolkit on every platform. That means GTK+ on unix-like platforms. Cocoa on OSX [...] and the Windows API and GDI on Windows platforms. [...] one really annoying thing we have to deal with is having 3 separate graphics classes (render engines)–we really want to get rid of that.

                            GTK+ c'est moche sous Windows, sous MacOS c'est ignoble.
                            GTK+ est tres tres mauvais niveau mutliplateforme, faut vraiment etre de mauvaise fois ou aveugle pour soutenir le contraire (surtout comparé à Qt)
        • [^] # Re: wiki down .. troll survives

          Posté par . Évalué à  8 .

          [Mode "chieur du matin"]
          Je me permets une petite remarque :
          QT => QuickTime (d'Apple)
          Qt => librairie (de Trolltech).
          [/Mode "chieur du matin"]

          voilà, c'est tout ce que j'avais à dire :-)
    • [^] # Re: wiki down .. troll survives

      Posté par . Évalué à  2 .

      http://209.85.135.104/search?q=cache:AHz-tWluVfsJ:wiki.video(...)

      Google cache est ton ami, bon il n'y a pas grand chose sur cette page..
  • # Freebox

    Posté par . Évalué à  2 .

    Cela fait un certain temps que j'utilise les nightlies de VLC (au risque de rendre incompatible un certain nombre de programmes utilisant VLC par exemple myfreetv ou freetux tv).
    Cette version est bien au dessus de la précédente. Interface totalement revue et corrigée. Gestion des préférences simplifiées (avec accès à un mode avancés).
    De plus, des playlists d'écoutes sont déjà directement disponible dans le menu service dont le multiposte de la Freebox...
    Très bon logiciel ;)
    • [^] # Re: Freebox

      Posté par (page perso) . Évalué à  5 .

      Un truc très cool que fait SMplayer c'est de se souvenir ou on en est dans le film quand on ferme le logiciel. Comme ça quand on relance le film, hop, on revient automatiquement ou on en était. Est-ce que VLC a cette fonction ?
      • [^] # Re: Freebox

        Posté par . Évalué à  3 .

        Non malheureusement je crois pas. Pas par défaut du moins.
        C'est vrai c'est que c'est très pratique, de plus smplayer se souvient non seulement de la position mais aussi de nombreux autres paramètres de la vidéo.
  • # Support de PAFF

    Posté par (page perso) . Évalué à  3 .

    Qu'en est-il du support VLC de PAFF ((interlaced Picture-Adaptive Frame/Field) pour décoder correctement certains flux vidéos en mode entrelacé ?
    Notamment les flux vidéos de la Livebox et d'Orange ...

    Les avancées de ffmpeg ont-elles permis d'aboutir à ce support ?

    Je n'ai pas l'impression au vue de mes tests.
    • [^] # Re: Support de PAFF

      Posté par . Évalué à  2 .

      Ca devrait plus ou moins marcher. Sinon soumet (ou met a jour) un bug sur https://roundup.mplayerhq.hu/roundup/ffmpeg/ avec un extrait de video qui marche pas
      • [^] # Re: Support de PAFF

        Posté par . Évalué à  1 .

        La dernière version de FFMPEG supporte le PAFF, elle est sortie ya 2 ou 3 mois, je sais pas si c'est celle ci qui est livré avec VLC.
        Enfin c'est plus un support expérimental, du moins sur mon PC, il y avait de sérieux lags dans le décodage.
  • # Petit script

    Posté par (page perso) . Évalué à  4 .

    J'en profite pour filer le lien vers un petit script sans prétention que j'ai retrouvé il y a peu qui permet de transcoder une vidéo non lisible sous vlc (pour le moment juste RealVideo 4.0, mais c'est très facile d'en ajouter) en xvid.

    http://www.goffi.org/index.php?page=article&id=14
    http://www.goffi.org/telecharger.php?id=18

    Des fois que ça serve à quelqu'un...

    Sinon j'ai testé vite fait, vraiment très bonne version, bravo aux dev :)
  • # Installation sous Ubuntu Hardy

    Posté par (page perso) . Évalué à  1 .

    En attendant la disponibilité dans les repos officiels, voici la procédure à suivre pour installer VLC media player 0.9.2 sous une Ubuntu Hardy:

    http://blog.nicolargo.com/2008/09/installation-de-vlc-media-(...)

    A+
    • [^] # Re: Installation sous Ubuntu Hardy

      Posté par . Évalué à  3 .

      Mais c'est une excellente idée, d'ajouter un dépôt tiers sur lequel tu n'as aucun contrôle !

      http://www.lucas-nussbaum.net/blog/?p=218

      Si ce n'est pas dans les dépôts, tu peux toujours le compiler : c'est facile et ça prend moins de temps que d'ajouter un dépôt inconnu.

      ­La faculté de citer est un substitut commode à l'intelligence -- Somerset Maugham

      • [^] # Re: Installation sous Ubuntu Hardy

        Posté par . Évalué à  9 .

        Pas vraiment convaincu par ton argumentation sur le temps passé là ...
      • [^] # Re: Installation sous Ubuntu Hardy

        Posté par (page perso) . Évalué à  5 .

        Le problème c'est qu'actuellement, sous Linux, il n'y a aucun moyen d'installer la dernière version d'un logiciel facilement (sans recompiler je veux dire). Sauf si un autopackage est fourni (c'est quand même rarement le cas).
        Donc les gens trouvent des manières d'avoir les logiciels quand même, et cela passe par des dépôts tiers. On ne peux absolument pas leur en vouloir pour ça.

        Une citation:

        All I’m saying is that if you want to attract people that know how to get around in Windows (what you might call the “power users) and get them to try Linux, one thing you absolute cannot expect them to do is sit on their hands and watch new version of software be released, only to be told they can’t install them because they aren’t yet in the “official” repositories blessed by whatever “royal priesthood” controls the repositories for that distribution. Maybe people in some nations might put up with that (the folks used to living under totalitarian governments) but I can guarantee you that folks from the USA and other freedom-loving countries are going to tell your “royal priesthood” to go screw themselves.
        http://soijabanaani.net/tmp/the_trevino_story

        On ne pourra pas empêcher les gens de vouloir les dernières versions des logiciels. Ce n'est pas possible. A mon avis, ce serait bien de commencer à réfléchir à une manière de résoudre ce problème.

        Une solution que je trouve intéressante, c'est AUR sur ArchLinux qui permet à n'importe qui de proposer un paquet source (donc il y a compilation, mais c'est automatique et intégré à la base de donnée du gestionnaire de paquets). De même, il peut y avoir des problèmes de sécurité, mais de par la centralisation du service, et parce qu'il est possible de laisser des commentaires, c'est relativement facilement évitable.
        Il y a aussi les paquets créés par les “trusted users” en qui on peut raisonnablement plus faire confiance.

        Je trouve ça dommage que ce ne soit pas une approche prise par d'autres distributions.Cela marche sans doute parce qu'il est très facile de créer un paquet ArchLinux (contrairement à RPM et surtout à debian). Créer un paquet ArchLinux ça s'apprend en 5 minutes pour quelqu'un qui connaît un peu les shellscripts. RPM, c'est un peu plus compliqué, et quand j'ai regardé le mode d'emploi pour créer des paquets debian (que ce soit le manuel debian ou ubuntu) je n'en revenait pas de sa complexité.
        • [^] # Re: Installation sous Ubuntu Hardy

          Posté par (page perso) . Évalué à  0 .

          Le problème c'est qu'actuellement, sous Linux, il n'y a aucun moyen d'installer la dernière version d'un logiciel facilement (sans recompiler je veux dire).

          Faut pas charier, faire "./configure;make;sudo make install" c'est pas la mort.

          Si les soi-disant "power users" venant de Windows étaient vraiment des power users, ils apprendraient à compiler des logiciels. Il n'y a meme pas besoin de savoir programmer pour ça.
          • [^] # Re: Installation sous Ubuntu Hardy

            Posté par (page perso) . Évalué à  5 .

            > faire "./configure;make;sudo make install" c'est pas la mort

            Super, et on est en 2008... ça fait peur...

            Compiler un soft c'est peut être pas compliqué, mais c'est ultra chiant et inutile, ça prend du temps pour rien.

            - Il faut toutes les dépendances en paquet -devel (paye ton espace disque et ta bande passante)
            - Faut récupérer le source du soft
            - Lire la doc est souvent indispensable car il y a régulièrement des astuces ou autres
            - Attendre que ca compile et si ca foire (ca arrive souvent cf tous les messages sur les forums), repartir à l'étape d'avant
            - En plus ca pete légèrement le système de package et ca peut provoquer des conflits

            Compiler VLC sur une distrib toute neuve ca doit bien prendre 2-3h, super, que du bonheur ! (1)

            Il existe des gens sur terre qui ont autre chose a faire que passer leur temps a lire des wiki et recompiler des softs, genre mouler par exemple :p

            Le problème soulevé par Mildred fait surement partie des problèmes qui font que Linux ne passera jamais les 5% de part de marché (2).
            Déjà s'il n'y avait pas 350 distributions différentes (3) et surtout 15 systèmes de paquet différents ca aiderait grave.

            (1) devoir à la maison : recompiler Firefox

            (2) http://www.xitimonitor.com/fr-fr/equipement-internaute/syste(...)
            0.98% de part de marché en avril, LOL

            (3) http://distrowatch.com/stats.php?section=popularity
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par (page perso) . Évalué à  3 .

              Ah, le devoir a la maison c'est trop facile pour moi parce que j'ai un check out du trunk de Firefox a jour en permanence... Donc pour le coup il suffit de rafraichir le tree et de relancer la compil :)

              1. En l'occurrence, il y a toujours la solution (et c'est ce que fait Firefox justement) de fournir un tarball avec bon gros binaire compilé statiquement. (Ca m'etonne d'ailleurs que VLC ne fournisse pas ca.) Tu decompresses, tu lances, et c'est fini. Pour Flock on fait la meme chose et ca marche tres bien. Ensuite il y a les logiciels proprio (comme Skype) qui fournissent un deb et un rpm, parce qu'ils ne peuvent pas/veulent pas etre dans les repo des distribs. Encore une fois c'est pas complique a preparer quand c'est principalement compilé en statique avec un minimum de dependances (et donc pas forcement specifique a une distro ou une version).

              2. MacOSX n'a aucun des "problemes" de Linux qui soi-disant l'empechent de decoller, mais il ne fait pas plus de 5% non plus. Pourquoi ? Mon avis c'est que Linux est pret pour le desktop, il a ete pret pour plusieurs annees deja mais le probleme n'est pas la. Pour la plupart des gens du moment qu'un ordinateur a un navigateur web qui leur permet de faire tourner les sites qu'ils aiment, ca leur convient.

              3. Il n'y a pas 15 systemes de paquet differents, il y en a 2 qui comptent : RPM et DEB. Tu peux te focaliser la-dessus si tu distribues un logiciel Linux. Le reste, c'est mineur et tu peux laisser ta communaute s'en charger si ca interesse quelqu'un.
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  2 .

                Pour la plupart des gens du moment qu'un ordinateur a un navigateur web qui leur permet de faire tourner les sites qu'ils aiment, ca leur convient.

                N'oublions pas qu'il y a toujours un système d'exploitation obligatoire, et que tant que ce monopole n'aura pas été cassé, il ne pourra pas y avoir de concurrence.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  -2 .

              >> faire "./configure;make;sudo make install" c'est pas la mort

              >Super, et on est en 2008... ça fait peur...

              et ? en 2008 la compilation est interdite ? c'est la suite de la loi davsi ?

              > - Il faut toutes les dépendances en paquet -devel (paye ton espace disque et ta bande passante)

              vue la taille des disques durs, c'est dérisoire. Accessoirement il y'a des distribs comme slackware qui ne splitent pas les paquets en version normales et devel, et l'install de base n'est pas forcément si énorme que ça. Enfin comparé à d'autres OS proprio qui te bouffent 30Go pour rien, c'est accessoire.

              > -Faut récupérer le source du soft

              C'est tellement dur d'utiliser un navigateur, c'est sûr.

              > - Lire la doc est souvent indispensable car il y a régulièrement des astuces ou autres

              ce qui prend à peu près 2 minutes en général

              > - Attendre que ca compile et si ca foire (ca arrive souvent cf tous les messages sur les forums), repartir à l'étape d'avant

              en général ça foire quand on n'a pas fait l'étape précédente. C'est au final rare mais comme c'est toujours les mécontents qui gueulent le plus, forcément les forums te donnent une mauvaise image de la chose

              > - En plus ca pete légèrement le système de package et ca peut provoquer des conflits

              ça ne pète rien si tu installes à un endroit différent, ce que fait par défaut configure.sh en te proposant en général /usr/local par défaut. Tu peux toujours faire cohabiter 2 libs et/ou 2 applis identiques sur un même système.

              En gros ça demande seulement de connaitre son système et de savoir lire l'anglais.
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  2 .

                Dsl on a pas les mêmes priorités dans la vie, perso j'ai plein d'autres choses à faire bien plus intéressantes que de m'amuser à recompiler mes softs.
                J'appelle ça de la branlette intellectuelle.
                LFS et recompiler le kernel 2.0.36 c'était à la mode y'a 10 ans.
                • [^] # Re: Installation sous Ubuntu Hardy

                  Posté par . Évalué à  6 .

                  si tu veux la toute dernière version de whateverquivientdesortir avant que quelqu'un fasse le sale boulot pour toi, il faudra pourtant t'y coller.

                  sinon, c'est assez simple, c'est comme dans la vraie vie : pas de bras, pas de chocolat.
                  • [^] # Re: Installation sous Ubuntu Hardy

                    Posté par (page perso) . Évalué à  0 .

                    Sauf que un OS bien connu propose lui que l'installation d'un nouveau soft se fasse rapidement.

                    Alors si vous voulez que Linux décolle de ses 1% de part de marché afin d'avoir des drivers digne de ce nom, et si vous voulez qu'on enlèvel a "taxe Windows" sur les PC, ben faudrait arrêter de prendre 99% des gens pour des débiles qui devraient mieux changer leur manière de faire (bref, ne pas installer un dernier soft à la mode).

                    Vous ne pourrez pas changer les gens qui veulent installer la dernière version, c'est un fait. Alors si vous voulez que l'OS dominant d'aujourd'hui vacille un peu, si vous voulez des drivers, il va falloir changer déja de discours, avant de changer la façon de faire.
                    Car la version actuelle ne convient pas (elle convient peut-être à 1% des utilisateurs, mais 1% c'est faible pour avoir des drivers...)
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par (page perso) . Évalué à  1 .

                      Je ne vois pas le rapport avec la taxe Microsoft. Quelle que soit les parts de marché de la concurrence, elle ne devrait pas être, elle peut être évitée, et sa seule raison d'être, secrète, est probablement d'évincer la concurrence.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par . Évalué à  2 .

                      euh...

                      D'une part, l'installation d'un nouveau soft se fait moins rapidement sous windows que sous linux, installer un paquet est bien plus rapide que télécharger un .exe, le lancer puis cliquer 15 fois sur next.

                      D'autre part l'OS bien connu ne propose rien du tout, en tout cas pas plus que linux. Un fichier .msi, c'est exactement la même chose qu'un paquet sous linux.

                      Donc il n'y a pas de problème, et ce n'est pas une question de domination.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par . Évalué à  2 .

                      je crois que tu parles de Windows ? tu es jaloux, on dirait.

                      en tout cas mon conseil si tu n'es pas foutu d'attendre quelques JOURS ou quelques semaines que quelqu'un fasse le boulot à ta place (car ça se résume uniquement à ça, on te rend service et tu trouves encore le moyen de pleurnicher) c'est FONCE sous Windows, FONCE sans te retourner rejoindre ces 99 % de débiles et d'assistés qui eux ont BESOIN qu'on leur tienne la main.


                      je me demande dans quel état te mettent les trailers de films et les démos de jeux ou les versions betas de logiciels. ça doit pas être beau à voir. ça va, ta tension ? tu ne joues pas au Loto, j'espère ?


                      > Alors si vous voulez que Linux décolle de ses 1% de part de marché

                      m'en cogne

                      > afin d'avoir des drivers digne de ce nom,

                      m'en cogne. ça, faudra que je fasse un journal sur le sujet, ça tient pas ici (ni dans la marge) et tu peux pas comprendre, visiblement. ou tu veux pas.

                      > si vous voulez qu'on enlève la "taxe Windows" sur les PC

                      m'en cogne

                      > faudrait arrêter de prendre 99% des gens pour des débiles

                      ce SONT des débiles. la preuve, ils sont sous Windows. leur Windows est systématiquement vérolé. ils viennent de passer 10 ans avec Internet Explorer et Outlook Express tellement troués que 99 % du spam mondial est dû à ces connards. et ils acceuillent pedobear, enfin Firefox, comme le messie. et maintenant Google Chrome. ah ah, les cons.

                      oui, il y a des power users qui se démerdent bien. ils doivent pas être beaucoup plus nombreux que nous, les méchants nazis élitistes du Libre. tu dis qu'on est 1% ? allez, ils sont 5%. et je suis très, très gentil. disons plutot qu'ils sont 2%. et je dis pas ça parce que j'en suis et que je suis aussi un sale élitiste de power user Windows pouet pouet qui a jamais aucun soucis. c'est juste que les 98% autres je les pratique au quotidien. oui madame.

                      > Car la version actuelle ne convient pas

                      allez, on va dire la situation actuelle, ok ?

                      > Car la situation actuelle ne convient pas

                      elle me convient

                      > (elle convient peut-être à 1% des utilisateurs)

                      bah alors ? tu vois qu'elle convient à tout plein de gens en valeur absolue. à moins que cette minorité de gens qui ne veulent pas s'abaisser à transformer leur Linux en un Playskool décérébré ne te gène, en fait. limite faudrait s'en débarasser...

                      ah, et désolé de me refuser à utiliser Vista et autres catastrophes clignotantes autant que possible, hein. ah oui forcément quand on refuse d'adopter les choix idiots de la masse, genre Gnome, son mode spatial, ne pas pouvoir coller le résultat d'un locate ou find dans la boite de dialogue "Ouvrir un fichier", son absence quasi totale de vrais réglages on n'est qu'un sale élitiste qui refuse de se mettre à la portée des plus faibles^W^W^Wde madame Michu...

                      > mais 1% c'est faible pour avoir des drivers...

                      déjà dit que je m'en cognais. mais j'ai l'impression que cette histoire te travaille. je parie que tu as acheté du matériel de merde pas supporté et que tu t'es demandé si ça marchait sous Linux ou autre seulement après. merci, continue, tu fais baisser les prix

                      je suis pas chien, tiens, je parlerais même pas de la qualité générale des drivers sous XP et Vista. ni de leur taille. c'est même pas drôle. oh allez si, 25 Mo pour un RealtekAC97AudioDriversv5.10.00.6080.exe tu m'excuseras mais ça me fait le même effet que le logo de Squirrelfish. rien que d'y penser je me marre.


                      et au passage ce 1% est un chiffre totalement bidon fourni par une boite de charlots à la méthodologie complètement lolesque. pour fixer les idées c'est comme si ils annonçaient une grande étude sur l'homosexualité en France, à l'échelle de la France et pour tout les Français, en se basant uniquement sur leurs comptages effectués dans le Marais. lol.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par (page perso) . Évalué à  5 .

                      En l'occurence je m'en fout que 99% des gens soient sous Windows. (C'est pas 99% d'ailleurs parce que Mac a environ 5% mais bon - ca change pas grand chose).

                      J'utilise Linux, je suis content avec, et les autres n'ont qu'a utiliser ce qu'ils veulent c'est pas mon probleme.
                      • [^] # Re: Installation sous Ubuntu Hardy

                        Posté par (page perso) . Évalué à  2 .

                        C'est ton problème dans la mesure où le fait que personne utilise ton système, les fabriquant de matériel ne voient pas forcément l'utilité de filer leurs spécifications.

                        En fait c'est ton problème dans tous les domaines où le manque d'utilisateur de ton système fait que le monde se comporte comme s'il n'existait pas, ce qui va de la vente lié au non-support des logiciels que tu aimerais utiliser.
                        • [^] # Re: Installation sous Ubuntu Hardy

                          Posté par . Évalué à  4 .

                          >C'est ton problème dans la mesure où le fait que personne utilise ton système, les fabriquant de matériel ne voient pas forcément l'utilité de filer leurs spécifications.

                          FAUX ça n'a rien à voir avec la représentativité de ton OS.

                          Il y''a aussi pleins d'utilisateurs windows qui aimeraient avoir les specs de leurs matos pour écrire/réécrire un driver quand celui-ci est buggé. Idem quand le fabricant décide qu'il n'a pas envie de réécrire un nouveau driver pour Vista ou s'il ne fournit un driver que sous vista.
                          • [^] # Re: Installation sous Ubuntu Hardy

                            Posté par (page perso) . Évalué à  3 .

                            Tu as raison, c'est une question de représentativité des valeurs que véhiculent ton système d'exploitation.

                            Tu as d'autant plus raison qu'on peut très bien faire des gros blob pour n'importe quel système, libre ou non.

                            Néanmoins si ce que tu cherches à véhiculer c'est un culte de l'élitisme, tu ne risques pas d'avoir beaucoup de soutiens.
                            • [^] # Re: Installation sous Ubuntu Hardy

                              Posté par (page perso) . Évalué à  3 .

                              Ce qu'il faut c'est que les constructeurs respectent les standards hardware, comme USB Mass Storage ou USB Video Class. En ce qui me concerne ca fait tres longtemps que je n'ai pas eu de probleme de matos non reconnu. En general ce qui ne tourne pas sous Linux c'est du matos assez pourri qui fait en software (dans le driver) ce qui devrait etre fait en hardware (genre les winmodem a l'epoque). Ou alors du matos tres specialise dont personellement je n'ai pas besoin.

                              Et a cote de ca:
                              * Il y a tout types de gens qui utilisent Linux, l'idee que ce soit une communaute c'est une vue de l'esprit. Il n'y a pas de valeurs communes entre Yahoo! qui fait tourner PHP sur un gros cluster, NorthWest qui l'utilise pour les ecrans des passagers et le nerd qui fait tourner Linux sur sa machine pour troller sur linuxfr.
                              * Ce n'est pas une question de culte de l'elitisme, c'est juste que l'utilisabilite de Linux me convient parfaitement (a moi) et je n'ai pas l'intention de passer du temps a l'adapter pour plaire plus aux Windowsiens ni a m'excuser pour le fait que ce soit pas comme ca. Il y a des gens qui choisissent de passer du temps a ça, tant mieux pour eux.

                              A noter d'ailleurs que j'utilise Ubuntu, une distro pas vraiment connue pour etre elitiste. J'aime bien quand je peut eviter de passer du temps a configurer mon systeme ou installer des logiciels. Mais je trouve que la facon d'installer est tres bien comme elle est, et je ne pense pas qu'on aie besoin de PackageKit.
                      • [^] # Re: Installation sous Ubuntu Hardy

                        Posté par (page perso) . Évalué à  1 .

                        J'utilise Linux, je suis content avec, et les autres n'ont qu'a utiliser ce qu'ils veulent c'est pas mon probleme.

                        C'est bien, donc tu te fou de n'avoir aucun site accessible, que ton OS favori ne tourne pas sur le matériel en vente, bref que tu ne puisse pas utiliser ton Linux.

                        En fait, si j'ai bien compris, tu te fou de pouvoir utiliser Linux, pouvoir l'utiliser n'a aucune importance pour toi, ce qui compte c'est d'avoir un joli CD "Linux" accroché à ton mur, qui ne fait rien d'autre.

                        Car avec ton "je m'en fou", c'est exactement ce qu'il se passera dans quelques années... Alors non, il ne faut pas s'en foutre! Sans taille critique, ton OS favori ne marchera plus sur le matériel qui sera vendu!
                        • [^] # Re: Installation sous Ubuntu Hardy

                          Posté par . Évalué à  3 .

                          ce qui cloche c'est que ca fait des années que ce scenario menace. depuis le début, en fait. et ce n'est pas un problème de part de marché, que ça soit 1 % ou 30 %, Microsoft enterre ses concurrents commerciaux d'une pichenette. Netware, OS/2, les DOS pas-par-Microsoft, Amiga (ah ah ah, Amiga), BeOS... même gratuit, ça survit pas. ils se racontent des blagues dans la fosse, là.

                          2008 et non seulement Linux, les BSD, les vilains petits canards comme Haiku et MultideskOS sont toujours là et bien là, mais par exemple depuis un an on assiste à un déferlement de mini-portables avec des Linux dessus. par des constructeurs pour qui Windows représente l'essentiel des ventes - Acer Asus MSI Dell HP... (il y a peut-être un intrus dans le tas, la flemme de vérifier)

                          la taille de marché - ou le nombre d'utilisateurs - n'est pas reliée au fait qu'un constructeur de carte graphique ou de chipset propose une documentation technique correcte de son produit. ça n'a même AUCUN rapport.
                        • [^] # Re: Installation sous Ubuntu Hardy

                          Posté par . Évalué à  4 .

                          Ce que tu demandes, c'est une masse critique suffisante pour que Skype fournisse un gros binaire sur Linux x86. Désolé, mais ça m'intéresse pas...
                • [^] # Re: Installation sous Ubuntu Hardy

                  Posté par . Évalué à  5 .

                  on ne te proposes pas de tout recompiler, mais si une application particulière te tient à coeur au point que tu veuilles la dernière version le jour de sa sortie, ça ne tombe pas du ciel.

                  ça n'a rien à voir avec de la branlette intellectuelle ou de la mode, c'est du pragmatisme. Merci de garder des insultes ridicules pour toi.

                  Je ne recompile pas toute ma distrib, mais quand j'ai un besoin particulier qui demande une version plus récente, je prends mes responsabilités et je la compile.

                  Le "j'ai plein d'autres choses à faire bien plus intéressantes", c'est bidon. D'une part parce que dans le cas d'une appli de ce genre, ce n'est pas très long (on ne t'a pas parlé de recompiler kde ou openoffice), d'autre part parce que pendant que ça compile, tu peux toujours utiliser ton pc, vivre, sortir ton chien, manger, faire l'amour, travailler, regarder la télé, faire la vaisselle (ajoute ou raye les mention utiles/inutiles).
                  • [^] # Re: Installation sous Ubuntu Hardy

                    Posté par (page perso) . Évalué à  2 .

                    > ça n'a rien à voir avec de la branlette intellectuelle

                    Si clairement, c'est hyper pénible de devoir recompiler un soft. C'était marrant y'a 10 ans quand Linux commençait a être connu, mais 10 ans plus tard le souhait serait d'avoir un OS "userfriendly" qui pourrait avoir une vrai visibilité et pas seulement 1% de PDM.
                    (ouai parceque c'est qd même un peu le but, genre avoir 10% de PDM et répandre la philosophie du libre + que les constructeurs, webmasters, éditeurs ne nous ignorent plus).

                    Mildred a soulevé un problème à mon avis important (un frein - parmi d'autres - à l'adoption de Linux) :
                    il n'y a aucun moyen d'installer la dernière version d'un logiciel facilement (sans recompiler je veux dire)
                    On ne pourra pas empêcher les gens de vouloir les dernières versions des logiciels. Ce n'est pas possible. A mon avis, ce serait bien de commencer à réfléchir à une manière de résoudre ce problème.

                    Recompiler un soft n'est pas une alternative viable à ce problème : c'est un truc de geek et restera un truc de geek.

                    Nous somme ici des passionnés d'informatique et nous passons des heures à bidouiller nos linuxette. Il faut prendre du recul par rapport à ça et se rendre compte que pour un utilisateur normal c'est ridicule de lire un wiki + faire un ./configure juste pour installer le dernier soft.
                    De même l'utilisateur normal te sortira un gros "mais c'est tout pourri ton truc" s'il ne peut pas tester facilement le dernier truc qui vient de sortir.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par . Évalué à  7 .

                      >Si clairement, c'est hyper pénible de devoir recompiler un soft. C'était marrant y'a 10 ans quand Linux commençait a être connu, mais 10 ans plus tard le souhait serait d'avoir un OS "userfriendly" qui pourrait avoir une vrai visibilité et pas seulement 1% de PDM.
                      (ouai parceque c'est qd même un peu le but, genre avoir 10% de PDM et répandre la philosophie du libre + que les constructeurs, webmasters, éditeurs ne nous ignorent plus).

                      Ben dis-donc, c'est toi qui me parlait de branlette intellectuelle !

                      Moi j'utilise mon OS parce que j'en ai besoin, envie, pas pour faire du chiffre ou répandre une parole divine alors qu'il ait 1 ou 10% de part de marché je m'en tape. Je ne veux pas que les constructeurs arrêtent de m'ignorer parce ce que mon os est peu représenté, je veux simplement qu'ils publient les specs de leurs hardwares. Et ce besoin je l'ai quelque soit l'OS et sa représentativité sur le marché.

                      De plus recompiler le soft n'est jamais obligatoire, c'est un choix. Celui de vouloir la dernière version en date aussi. Et ça n'a rien à voir avec une question d'userfriendliness

                      > Recompiler un soft n'est pas une alternative viable à ce problème : c'est un truc de geek et restera un truc de geek.

                      comme le fait de vouloir toujours la dernière version d'un logiciel.

                      > De même l'utilisateur normal te sortira un gros "mais c'est tout pourri ton truc" s'il ne peut pas tester facilement le dernier truc qui vient de sortir.

                      non l'utilisateur normal n'en a rien à péter car il n'est pas au courant que la dernière version vient de sortir. S'il n'y avait pas une contrainte de sécurité, la plupart des gens ne feraient d'ailleurs aucune upgrade qui se fait d'ailleurs quasi silencieusement (hormis une demande de reboot de temps en temps) sur la plupart des os afin de ne pas troubler l'utilisateur normal comme tu dis. Ils utilisent en général ce qui est fourni par défaut avec le pc lors de son achat et n'installent des softs que quand un besoin spécifique se fait sentir. Alors tu parles qu'ils en ont quelque chose à faire d'avoir la dernière version...

                      D'ailleurs pour reprendre tes paroles, un utilisateur normal te dirait :

                      Dsl on a pas les mêmes priorités dans la vie, perso j'ai plein d'autres choses à faire bien plus intéressantes que de m'amuser à réinstaller les dernières versions des softs

                      Bref, vouloir coller à la dernière version d'un soft comme vlc, c'est un truc de geek. Je ne vois donc rien de choquant à ce que les feignasses doivent attendre un peu pour avoir la dernière version et que les plus motivés la compilent.
          • [^] # Re: Installation sous Ubuntu Hardy

            Posté par (page perso) . Évalué à  7 .

            Pas la mort ?

            Franchement, si pour toi installer un logiciel est synonyme d'installer manuellement les dépendances (voir de les recompiler à leurs tours, ainsi que leurs dépendances...) et gérer les multiples problèmes de compilation qui peuvent arriver (pas la bonne version de telle ou telle lib, erreurs étranges...), je pense que tu aime être sadique.

            Et puis parfois, justement, c'est pas un "./configure && make && make install". Il y a plusieurs façon de faire (scons, qmake, cmake, programme python sans compil, avec, programme java, etc...). Même si, je suis d'accord, le système autotool est (a tord?) le plus répandu. Autant je trouve le système de paquet vraiment plus simple que le système "installateur windows", autant là ça n'a rien de simple en soi et devrait rester l'apanage des informaticiens.

            Moi même, étant développeur (et normalement futur ingénieur), donc plus qu'un "power user" windosien, je ne fait ça que quand vraiment je n'ai pas le choix.

            Il faut vraiment arrêter avec cette mentalité élitiste... Un système d'exploitation est fait pour être utilisé, et la simplification du système informatique (extrêmement complexe en soi) à toujours été un but.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  2 .

              > Pas la mort ?

              > Franchement, si pour toi installer un logiciel est synonyme d'installer manuellement les dépendances (voir de les recompiler à leurs tours, ainsi que leurs dépendances...) et gérer les multiples problèmes de compilation qui peuvent arriver (pas la bonne version de telle ou telle lib, erreurs étranges...), je pense que tu aime être sadique.

              ça ne s'applique pas forcément à tous les logiciels. Il y'a en général des logiciels pour lesquels tu acceptes de te contenter d'une version plus ancienne car tu ne cours pas après certaines fonctionnalités, donc la gestion des paquets de ta distro s'en occuper. Pour d'autres applis, tu peux vouloir du plus bleeding edge et compiler une version récente. ça n'a rien à voir avec du sadisme, c'est juste une question de priorités (fonctionnalités vs fénéantise).

              >et puis parfois, justement, c'est pas un "./configure && make && make install". Il y a plusieurs façon de faire (scons, qmake, cmake, programme python sans compil, avec, programme java, etc...). Même si, je suis d'accord, le système autotool est (a tord?) le plus répandu. Autant je trouve le système de paquet vraiment plus simple que le système "installateur windows", autant là ça n'a rien de simple en soi et devrait rester l'apanage des informaticiens.

              Je ne vois pas pourquoi ça devrait rester l'apanage d'informaticiens. Un bon utilisateur est un utilisateur qui connait et comprend le système qui l'utilise. Même s'il n'a pas forcément envie de predre son temps à s'installer une Linux For Scratch, compiler 1 ou 2 applis qui l'intéressent particulièrement n'est pas la mère à boire. Après pour les différentes façons de faire, il suffit de lire le README ou INSTALL inclut avec le tarball (ou la doc du site), ce n'est pas la mère à boire.

              > Il faut vraiment arrêter avec cette mentalité élitiste... Un système d'exploitation est fait pour être utilisé, et la simplification du système informatique (extrêmement complexe en soi) à toujours été un but.

              Et bien quand on aime la simplicité, on ne cherche pas à avoir le bleeding edge ni la dernière version au jour J de sa sortie sur sa distro. C'est aussi simple que ça.
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  4 .

                Et bien quand on aime la simplicité, on ne cherche pas à avoir le bleeding edge ni la dernière version au jour J de sa sortie sur sa distro. C'est aussi simple que ça.

                Je suis bien d'accord, c'est clair que j'ai rencontré souvent ce comportement : le beurre, l'argent du beurre et le reste...
                Le pire c'est tout de même qu'il y en a beaucoup qui ne sont pas en mesure de citer _une_ fonctionnalité dont ils ont besoin dans la nouvelle version et qui ne serait pas dans la version disponible par défaut dans leur distribution. Cela ne les empêche pas de réclamer à cors et à cris la toute dernière version, tout de suite, maintenant (quand ils ont fait l'effort d'installer tout de même la version disponible par défaut, parfois un peu plus ancienne, parfois franchement plus ancienne...) et identifier ce qui leur manque dedans (je dois trop en demander).

                Plutôt que de rester dans la réthorique, comprendre le jeu des dépendances permettant de construire un paquet et voir les effets collatéraux (dépendances en amont qui se répercutent sur autres paquets, l'exemple typique étant firefox qui éclabousse epiphany, galeon, yelp, miro...) serait un peu plus constructif que de réclamer du bleeding edge tout émoussé (qui ne coupe pas mais n'est pas tant que ça plus opérationnel qu'une version éprouvée...).

                Un peu de patience permet de disposer des backports par exemple
                http://wiki.mandriva.com/fr/Backport
                faut-il encore comprendre et accepter qu'ils sont moins testés (actuellement) et peuvent déstabiliser le système (par le jeu des dépendances évoqué ci-dessus). Cela ne peut aller qu'en s'améliorant ou simplement en comprenant que la version actuellement disponible dans sa distribution est peut-être suffisante dans un 1er temps.
          • [^] # Re: Installation sous Ubuntu Hardy

            Posté par (page perso) . Évalué à  1 .

            Faut pas charier, faire "./configure;make;sudo make install" c'est pas la mort.

            Au passage on perd quand même quelque chose d'important !
            Avec cette méthode le logiciel ne fait plus parti de la gestion des paquets du système, de plus dans le cas d'une compilation comme tu le dcrit, je pense qu'il est préférable d'installer le dit logiciel dans un autre répertoire que celui du paquet officiel.

            Donc le problème de fond reste toujours présent.

            Comment j'utilise la dernière version d'un logiciel (que j'aime/à la mode/...) en l'intégrant avec la façon don ma distribution gère ses paquets ?
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par (page perso) . Évalué à  3 .

              > Comment j'utilise la dernière version d'un logiciel (que j'aime/à la mode/...) en l'intégrant avec la façon don ma distribution gère ses paquets ?

              Tu te crées un repository de portfiles local http://guide.macports.org/#development.local-repositories , dedans tu reprends le portfile du logiciel en question et tu changes la version. Maintenant, tu installeras ta version à toi, mais tu sauras quand une version plus récente est dispo dans les repository officiels.
              Bon évidemment, je suis le seul à utiliser macports comme gestionnaire de paquets sous linux donc ça ne t'aide pas, mais la méthode s'adapte surement.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  0 .

              tu attends 5 minutes que ta distribution te la propose virgule bordel

              et si elle ne le fait pas, tu en changes.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  1 .

              tu crées ton repository et tu crée les paquets toi même s'ils ne sont pas proposés déjà en upstream.

              Il n'y a pas de miracle, c'est du travail et s'il n'est pas fait par d'autres, c'est à toi de le faire.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  3 .

              Bah si tu utilise une Debian ou une Ubuntu au lieu de faire bêtement make install, tu fais checkinstall et cela t'installe un joli paquet qui sera pris en charge par APT.
              Il me semble qu'il y a un outil equivalent pour faire des rpm...
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par . Évalué à  4 .

                Ah tiens je me suis fais moinsser ;-)
                J'aimerais bien savoir ce que vous avez contre checkinstall. Pour moi c'est bien mieux que de faire un make install. Cela permet de générer un paquet pour sa distribution (deb, rpm ou slack) qui pourra ensuite être facilement et proprement désinstallé ou mis à jour.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par (page perso) . Évalué à  2 .

              --prefix=/usr/local
          • [^] # Re: Installation sous Ubuntu Hardy

            Posté par (page perso) . Évalué à  -1 .

            Faut pas charier, faire "./configure;make;sudo make install" c'est pas la mort.

            Question : tu donnes une phrase, c'est bien, et j'en fait quoi? (rappel : l'utilisateur normal ne sait pas ce qu'est un terminal. Et c'est normal).

            C'est avec des gens de ce genre que Linux a mauvaise réputation "Linux? C'est un truc de Geek ça, j'en veux pas, moi je veux que ça fonctionne tout de suite, et c'est normal. Alors ton charabia..."
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par . Évalué à  10 .

              l'utilisateur normal ne sait pas ce qu'est un terminal. Et c'est normal

              L'utilisateur « normal » ne veut pas la nouvelle version de VLC media player deux jours après sa sortie.

              ­La faculté de citer est un substitut commode à l'intelligence -- Somerset Maugham

              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  -2 .

                C'est vrai, mais là c'est juste se mettre la tête dans le sable.

                L'utilisateur moyen, quand il reçoit sa nouvelle machine, et qu'un ami lui dit d'essayer tel logiciel, il va sur le site et compte bien l'installer ainsi.

                D'autant que l'utilisateur «normal», il utilise son ordinateur pour répondre à des besoins concrets. Si la dernière version d'une application fournie une nouvelle fonctionnalité qui lui faciliterais bien la vie, on comprends qu'il aimerait en profiter.

                C'est vraiment un problème. En fait le moyen le plus simple et efficace d'installer un logiciel récent, c'est ironiquement d'installer la version win32 avec wine, ce qui évidemment pose des limites au niveau architecture.

                Il y a aussi klik il me semble, mais je n'ai jamais testé.

                Cela dit dans la majorité des cas, je pense que les dépôts de la distribution devraient suffire.
                • [^] # Re: Installation sous Ubuntu Hardy

                  Posté par . Évalué à  3 .

                  > C'est vrai, mais là c'est juste se mettre la tête dans le sable.

                  > L'utilisateur moyen, quand il reçoit sa nouvelle machine, et qu'un ami lui dit d'essayer tel logiciel, il va sur le site et compte bien l'installer ainsi.


                  ben non, l'utilisateur moyen d'un système linux va d'abord le chercher dans son système de gestion de paquet et l'installe. Il n'ira voir le site que si sa distrib ne le lui fournit pas.
                • [^] # Re: Installation sous Ubuntu Hardy

                  Posté par . Évalué à  4 .

                  non, ton "utilisateur moyen" tu parles des Windowsiens et des macounets, là, et de réflexes d'ailleurs pas sains du tout (les sites avec de faux nettoyeurs ou antivirus ou proposant des faux codecs, en fait de vraies saloperies, ça pullule. il y a également des faux Firefox, des faux tout ce que tu veux...)

                  les utilisateurs moyens sous les distributions GNU/Linux à paquets, quand on leur dit d'essayer VLC ou Inkscape, ils lancent leurs gestionnaires de paquets et installent à partir de là. c'est comme ça qu'on leur dit de faire, on répète que c'est comme ça qu'il faut faire, et qu'ils perdent certaines réflexes du monde Windows. s'ils veulent pas écouter, ils sont libres, mais qu'ils se débrouillent. ou alors ils payent pour du support \o/ le temps, c'est de l'argent

                  et c'est seulement quand ils dépasseront le stade d'utilisateur moyen qu'on les invitera à installer des binaires d'origines tierces pour ne pas dire douteuses, ou à compiler eux-même les derniers joujoux à la mode
                  • [^] # Re: Installation sous Ubuntu Hardy

                    Posté par (page perso) . Évalué à  4 .

                    Je ne suis pas convaincu par votre approche qui me fait trop penser à la réplique «dit moi ce que tu veux, je te dirais comment t'en passer».

                    Ici on expose un vrai problème de nos systèmes bien aimés, et les réactions c'est le moinsage et la négation du problème, c'est moyen pour le niveau constructif.

                    Moi ce que j'aimerais bien, c'est la possibilité d'utiliser les gestionnaires de paquet en tant que simple utilisateur. De cette manière je peux mettre les dépôt que je veux et installer tous les logiciels que ceux-ci proposent sans que tout mon système soit affecté et je garde la gestion des dépendances qu'ils offrent, contrairement une installation par source.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par . Évalué à  2 .

                      > Ici on expose un vrai problème de nos systèmes bien aimés, et les réactions c'est le moinsage et la négation du problème, c'est moyen pour le niveau constructif.

                      c'est pas une négation du problème.

                      voila ce que vous nous exposez :

                      -une population de geeks affamés réclament souvent la dernière version des programmes.
                      -un utilisateur normal ne sait pas le faire lui-même.

                      La faille dans votre problème c'est que :

                      La_population_de_geek_affamés_recherchant_la_dernière_version_d'un_programme != utilisateur normal

                      C'est une demande à la fois minoritaire et non prioritaire lorsqu'il s'agit de parler d'userfriendliness et de promotion du logiciel libre et de linux.

                      >Moi ce que j'aimerais bien, c'est la possibilité d'utiliser les gestionnaires de paquet en tant que simple utilisateur. De cette manière je peux mettre les dépôt que je veux et installer tous les logiciels que ceux-ci proposent sans que tout mon système soit affecté et je garde la gestion des dépendances qu'ils offrent, contrairement une installation par source.

                      En gros tu voudrais installer tes applis qui via un gestionnaire de paquet dans le répertoire de l'utilisateur. Techniquement, rien n'empêcherai de faire ça, mais ça garde peu d'intérêt parce que la majorité des PC restent des Personnal Computer avec 1 seul utilisateur.

                      Du reste ça existe déjà avec des solutions comme klik ou Zero Install...
                      • [^] # Re: Installation sous Ubuntu Hardy

                        Posté par (page perso) . Évalué à  2 .

                        Pas du tout, c'est pas parceque tu es incapable d'imaginer des cas où des utilisateurs ont une utilité d'avoir la dernière version d'un logiciel sans être un gourou de l'informatique que cette situation n'existe pas.

                        Des exemples peuvent être des jeux vidéos, d'autant si on joue en réseau ou des logiciels de graphisme ou encore des logiciels audio. Oui il y a des gens dont la profession/passion nécessite d'utiliser un ordinateur et qui peuvent avoir une utilité à avoir la dernière version d'un logiciel, sans pour autant ni le temps ni les compétence pour installer ce logiciel depuis les sources.


                        Techniquement, rien n'empêcherai de faire ça, mais ça garde peu d'intérêt parce que la majorité des PC restent des Personnal Computer avec 1 seul utilisateur.


                        Ça à l'intérêt de pas flinguer la «propreté» et la stabilité de toute ma distribution juste parceque j'installe un logiciel.

                        Etpuis j'imagine qu'il doit y avoir quand même un paquet de machines qui ont plus d'un utilisateur dans tous les foyers équipés d'un ordinateur.
                      • [^] # Re: Installation sous Ubuntu Hardy

                        Posté par (page perso) . Évalué à  3 .

                        c'est pas une négation du problème.

                        Oh que si...

                        La_population_de_geek_affamés_recherchant_la_dernière_version_d'un_programme != utilisateur normal

                        Si, par effet ricocher.
                        La personne que tu dis "pas normale" est la personne "passionnée" qui va conseiller l'OS à ses amis "normaux". Cette personen dira "Linux c'est de la merde, on peut pas faire ce qu'on veut, prend surtout Windows, je pourrait te dépanner"

                        L'utilisateur "normal" va écouter la personne capable de le dépanner, et cette personne veut pouvoir installer la dernière version.

                        C'est donc bien sur cette population qu'il faut faire des efforts, pas sur celle qui ne choisit pas son OS!

                        A "utilisateur normal", on doit penser plus long "l'utilisateur normal susceptible de choisir quel OS il installera, ce qui fera pencher la balance".

                        Maintenant, si vous vous enfoncez la tête dans le sable sans comprendre que Linux ne décolle pas alors que Firefox, VLC etc... décollent eux, car répondent aux besoins, ben... désolé, je peux plus rien pour vous.
            • [^] # Re: Installation sous Ubuntu Hardy

              Posté par (page perso) . Évalué à  2 .

              Des fois je me dit que c'est pas plus mal que Linux aie une reputation de "truc de Geek". Si cette reputation etait un peu plus marquee, on aurait moins de pignoufs sur les forums qui pleurnichent et menacent : "c'est trop difficile et je veux que ca fonctionne tout de suite, si vous changez pas ca je retourne sous Windows qui est carrement mieux!!"
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  5 .

                Oui, regardez ce qu'est devenu l'Internet depuis qu'il n'est plus un truc de geek… ;-)
              • [^] # Re: Installation sous Ubuntu Hardy

                Posté par (page perso) . Évalué à  0 .

                Peut être qu'il y a des gens qui ont besoin d'un système qui fonctionne pour effectuer leur travail, pas d'un système qu'ils doivent trifouiller des heures avant de pouvoir commencer le travail qu'ils veulent effectuer.

                Moi ça m'hérisse de lire des phrases aussi dédaigneuses des utilisateurs dont l'informatique n'est pas le métier ou la passion. Ça me fait penser à une réponse qu'on m'avais fait sur une liste de diffusion de OpenBSD, comme quoi le système serait jamais accessible à ma maman (c'est moi qui avait commencé à prendre ma maman comme exemple d'utilisatrice, je précise). D'après cette personne, ce genre d'utilisateur ne «mérite» que windows, tous ces bugs, tous ces virus et des fenêtres pop-up qui sautent de partout. Un peu comme si on me disais que seuls ceux qui ont les connaissances suffisantes pour faire fonctionner un système d'eau courante et d'électricité devraient avoir le droit d'en avoir un chez soi.

                Facilité l'installation c'est d'un logiciel, c'est un problème d'ergonomie du système. Les systèmes de dépôts sont déjà une excellente réponse à ce problème, mais à mon humble avis, pas suffisante.

                Moi ce que j'aime dans le libre, c'est la volonté de partage. Bien sûr elle doit être réciproque, et demande un minimum d'effort de chaque partie. Un système élitiste où seuls les personnes ayant des connaissances avancées peuvent participer et profiter de ce qui est partagé, ça ne m'intéresse pas.
                • [^] # Re: Installation sous Ubuntu Hardy

                  Posté par (page perso) . Évalué à  1 .

                  Peut être qu'il y a des gens qui ont besoin d'un système qui fonctionne pour effectuer leur travail

                  Ben je vois pas où est le problème, ils installent une distrib relativement courante (mandriva, ubuntu, suse, ...) et ça marche tout seul. Et si c'est pour bosser, en général ils n'en ont rien à foutre d'avoir le nouveau vlc dans les 2 heures qui suivent se sortie, donc ils attendent simplement qu'ils soit dans les contrib/backports/...

                  Et si c'est vraiment pour bosser et qu'ils veulent ne rien toucher du tout, ils peuvent même acheter du support, utiliser les versions corporate, etc.

                  En même temps, je vois pas trop où sont les besoins vraiment non résolus, je bosse pour ma part avec un ordi sous linux (une mandriva pour ne pas la nommer) et à part la petite particularité que j'ai un miroir local contenant toutes les sources (main, contrib, backports, updates) je n'installe jamais de soft externe (sauf eclipse en fait, mais là on va dire que qq soit le système je l'aurais installé à la main).
                  Je n'ai même pas installé les dépots plf.

                  Ha si, j'ai qd même kde4.1, mais j'aurais pu rester sous xfce ou kde3 mon boulot n'aurait pas été différent.

                  Alors je veux bien qu'il y ait encore du boulot pour permettre d'avoir des softs plus rapidement en dehors des distribs, mais faut pas exagérer non plus, ça fait des années qu'un linux est utilisable pour bosser.


                  Et pour le fait d'aider à installer les softs autres, ne serait-il pas plus intéressant de bosser avec et au niveau des distribs pour faciliter le travail des packagers ?
                  Avoir des systèmes semi-automatiques de création de paquet par exemple ?
                  En gros que les développeurs des applications puisse, le plus facilement possible, proposer aux distributions de réaliser des backports (qd cela est possible) de leurs applis pour les versions courament utilisées.
                  De toute façon il y a trop de distribs pour que les dévelopeurs fassent des paquets pour toutes, il faut donc que les distribs arrivent à mettre en place une ouverture suffisante pour que les développeurs entrent leurs programmes dedans, et ce sera toujours mieux, à mon avis, que les systèmes types autopackage ou autre.


                  OpenBSD, comme quoi le système serait jamais accessible à ma maman

                  En même temps, tu l'as un peu cherché, non ?
                  OpenBSD est qd même un peu réputé pour accés sur la sécurité, la qualité et non pas sur son côté user friendly.
                  J'ai toujours vu les BSD comme demandant un investissement différent, demandant de lire les docs en premier (et pas simplement en faissant un aptitude install plop)
                  • [^] # Re: Installation sous Ubuntu Hardy

                    Posté par (page perso) . Évalué à  2 .

                    Le développement de logiciels facilitant la création de paquets me semble une bonne idée, je n'ai aucune idée du pourquoi cela n'est pas fait, j'imagine qu'il y a certaines difficultés techniques à la généricité du processus.

                    Sinon pour ce qui est de OpenBSD, je ne vois pas en quoi avoir un système accès sécurité et qualité est contradictoire avec le fait d'avoir un système ergonomique aussi bien pour les utilisateurs avancés que les néophytes. Je dirais même que c'est une exigence à la qualité d'un logiciel.

                    C'est une chance d'avoir un outil assez souple pour pouvoir proposer des interfaces adaptées aux besoins et connaissances de chacun. Je trouve dommage de s'enfermer dans une vision élitiste alors qu'on peut contenter tout le monde. Pour donner un exemple concret, si je dois éditer un fichier texte, j'utiliserais vim; si je un utilisateur moyen veux éditer ce même fichier, je lui recommanderais gedit, ou un logiciel du même acabit.
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par (page perso) . Évalué à  3 .

                      Le développement de logiciels facilitant la création de paquets me semble une bonne idée, je n'ai aucune idée du pourquoi cela n'est pas fait, j'imagine qu'il y a certaines difficultés techniques à la généricité du processus.

                      Il me semble que ça existe déjà, en fait. Mais l'empaquetage est bien plus qu'un problème technique, et obéit à des règles fixées par chaque distribution.

                      Ainsi, dans Debian, un paquet devrait normalement fournir au moins une page de manuel par exécutable dans /bin ou /usr/bin. Et donc si j'utilise un outil générique pour distribuer mon logiciel en DEB, en RPM et autres, de toute façon, les développeurs Debian qui pourront s'en charger repasseront derrière moi…
                    • [^] # Re: Installation sous Ubuntu Hardy

                      Posté par . Évalué à  2 .

                      > C'est une chance d'avoir un outil assez souple pour pouvoir proposer des interfaces adaptées aux besoins et connaissances de chacun. Je trouve dommage de s'enfermer dans une vision élitiste alors qu'on peut contenter tout le monde.

                      > Pour donner un exemple concret, si je dois éditer un fichier texte, j'utiliserais vim; si je un utilisateur moyen veux éditer ce même fichier, je lui recommanderais gedit, ou un logiciel du même acabit.

                      oui alors dans les faits tu sais très bien qu'on a aussi des gens qui se plaignent qu'on ait 53 éditeurs de texte dans un Linux ou BSD, des gens qui hurlent à la mort quand un 54ème éditeur de texte apparait, et que la seule interface décrétée universelle (Gnome) sera crétinisée au possible pour que ta maman puisse enfin l'utiliser, jusqu'à en retirer la gestion du bouton droit de la souris pour qu'elle ne soit plus frappée de stupeur quand son doigt glisse un peu et qu'un menu qu'elle n'avait encore jamais vu avant apparait sous son nez.


                      faudrait pas confondre simple et simpliste. or c'est souvent le cas et par des gens dont les compétences requises (techniques, ergonomie...) laissent lourdement à désirer. en gros ils ne sont représentatifs ni des débutants complets qui finiront avec un Linux médiocre car mal assemblé ni des utilisateurs avancés qui refusent de laisser saloper leur bébé/joujou/outil de travail/détente/etc. juste ils croient savoir ce qui serait bien. c'est gentil mais ça suffit pas, des "impressions".
                      • [^] # Re: Installation sous Ubuntu Hardy

                        Posté par . Évalué à  3 .

                        et pour être plus précis, je n'ai rien contre que des incarnations de GNU/Linux apparaissent qui soient des copies de Windows ou Mac OS (enfin, leurs bons cotés, si si, y'en a). par exemple Slax vire plein d'outils historiques "indispensables" et pourtant j'aime bien.

                        par contre, ne plus voir que des MAUVAISES copies de Windows et Mac OS, toutes plus pourries que les originaux, suite à une "Croisade des enfants" qui aura excommunié toutes les fonctionnalités qui réclament plus de 60 points de QI, comment dire... vous voulez vraiment un Télécran avec une seule molette et un levier "horizontal" / "vertical" ?
    • [^] # Re: Installation sous Ubuntu Hardy

      Posté par . Évalué à  2 .

      En plus de l'utilisation d'un dépôt tiers, qui est une mauvaise idée, pourquoi le désinstaller puis le réinstaller ? Le dépôt en question ne permet pas tout simplement de mettre à jour le paquet ? Voilà qui serait surprenant. Si à chaque mise à jour faut sortir le aptitude remove, on est pas sorti.

      Au passage dans ton tutoriel tu n'indiques pas qu'il faut effectuer une mise à jour de la liste des paquets par un aptitude/apt-get update.

      Bref c'est pas gagné.
  • # pour debian

    Posté par . Évalué à  3 .

    j'en ai vu un certain nombre s'écharper sur le fait que "il y avait pas de .deb" ou autre pour le new vlc, ce qui a suivi une grande engeulade sur 'la compil c'est bien/ca pue".

    je conseillerai a tout le monde de rechercher un peu mieux sur google :
    http://nightlies.videolan.org/build/sid-i386/latest/
  • # x86 32 bits versus x86 64bits

    Posté par (page perso) . Évalué à  1 .

    Je profite de la dépêche pour poser une question aux linuxfriens les plus au point concernant le multimédia : VLC ou toute autre application vidéo accompagnée de codecs, permet-elle enfin de lire sous un système en 64 bits tous les formats lisibles sur d'autres plate-formes ?

    Possesseur d'un athlon64 qqch, la seule chose qui m'a empêcher lors de l'install de ma distro de passer en 64, c'était la nécessité pour moi d'utiliser le package win32 pour lire un paquet de divx de vacances (comme dirait le journaliste de libération)...
    • [^] # Re: x86 32 bits versus x86 64bits

      Posté par (page perso) . Évalué à  2 .

      Je suis en ce moment sur un système 64 bits, et je n'ai pas vu de problème de codecs. Les codecs win32 sont même peut-être disponibles, je ne sais pas, je ne les utilises pas. Et normalement VLC devrait pouvoir lire le DivX sans leur aide.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.